2013-10-09  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r966] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/GUI_general.rc: Removed statefile
	  entries in the menu.

2013-10-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r965] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/doxygen/Documentation/HOWTO
	  Regression Testing.md, fellow/doxygen/Doxyfile,
	  fellow/SRC/WIN32/INCLUDE/versioninfo-wcrev.h,
	  fellow/SRC/WIN32/MSVC/GUI_versioninfo-wcrev.rc: version number increased to 0.5.2 as
	  preparation for new release
	  documentation update

2013-10-06  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r964] fellow/SRC/C/DRAW.C, fellow/SRC/C/draw_interlace_control.cpp,
	  fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/WIN32/C/GFXDRV.C: Clear
	  graphics buffers when switching from interlace to progressive if the scale strategy is
	  scanline.
	* [r963] fellow/SRC/C/COPPER.C: copjmp was lost if triggered while dma was off and the
	  copper had already run to the end of its copper list. (Multica interlace init.)

2013-10-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r962] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: fixed clipped display in "automatic" mode, which
	  was broken by last commit
	  switching between 1x and 2x in automatic mode is now possible
	  fixed a crash to the desktop when switching to 2x mode while session is paused
	  (RetroPlatform)

2013-10-06  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r961] fellow/SRC/C/BUS.C, fellow/SRC/C/DRAW.C, fellow/SRC/C/GRAPH.C,
	  fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/GRAPH.H: Pad lines with background color at
	  the bottom for frames without a full set of lines vs. the buffer size.

2013-10-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r960] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/doxygen/Documentation/HOWTO
	  Regression Testing.md, fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: fixes for two clipping related issues in Amiga
	  Forever usage mode
	  left offset was wrong for clipping offsets < 16
	  if one of the offsets was 0, the top offset would be ignored completely
	  updated end user documentation
	  updated regression testing documentation

2013-10-03  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r959] fellow/SRC/C/GRAPH.C: * Avoid decoding bitplanes for impossible ddf values in
	  hires. (lores had it already) Avoids C2D.

2013-10-02  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r958] fellow/SRC/C/FLOPPY.C: Set floppy change bit high when no disk is selected.
	  Silkwork crack intro compares this bit.
	* [r957] fellow/SRC/C/BLIT.C: * Clear dma pending flag when blit is initiated from enabling
	  dma in wdmacon.
	* [r956] fellow/SRC/C/BUS.C, fellow/SRC/C/CONFIG.C, fellow/SRC/C/DRAW.C,
	  fellow/SRC/C/draw_interlace_control.cpp, fellow/SRC/C/draw_pixelrenderers.cpp,
	  fellow/SRC/C/GRAPH.C, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/draw_interlace_control.h: * Separated interlace rendering decision from
	  emulation of interlace to emulate it properly when not deinterlacing.
	  * Apply config option for deinterlace in the central config apply function. Setting was
	  not always applied.
	  * Don't hardcode long frames in busHardReset, let interlace control switch when it detects
	  change. (black/white-out problem).

2013-09-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r955] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/doxygen/Documentation/HOWTO
	  Regression Testing.md, fellow/SRC/C/DRAW.C: fix NULL pointer exception related to graph
	  frame pointer
	  regression testing documentation updated
	  WinFellow user guide updated

2013-09-24  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r954] fellow/SRC/C/COPPER.C, fellow/SRC/C/draw_interlace_control.cpp,
	  fellow/SRC/C/GRAPH.C: Fix copper pt load when Sequential initialize interlace. And some
	  (commented out) log statements useful for interlace debugging.

2013-09-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r953] fellow/SRC/WIN32/C/sysinfo.c,
	  fellow/SRC/WIN32/MSVC/WinFellow.exe.Compatibility.manifest,
	  fellow/SRC/WIN32/MSVC/WinFellow.exe.manifest, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj:
	  added compatibility manifest to project
	  specified Windows 8.1 in the compatible OSes section
	  implemented system information detection for Windows 8.1

2013-09-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r952] fellow/doxygen/Documentation/HOWTO Regression Testing.md, fellow/SRC/C/CONFIG.C,
	  fellow/SRC/C/DRAW.C, fellow/SRC/C/draw_interlace_control.cpp,
	  fellow/SRC/C/RtcOkiMsm6242rs.cpp, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/INCLUDE/draw_interlace_control.h, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: (re)added interlace compensation configuration
	  option under various options
	  fixed GRAPH2 build compilation
	  fixed NULL pointer exceptions that would occasionally occur while reading the RTC
	  updated regression testing documentation

2013-09-15  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r951] fellow/SRC/C/GRAPH.C: Removed beamcon0 experiment that wasn't to be in the commit.
	* [r950] fellow/SRC/C/BLIT.C, fellow/SRC/C/BUS.C, fellow/SRC/C/CIA.C, fellow/SRC/C/COPPER.C,
	  fellow/SRC/C/DRAW.C, fellow/SRC/C/draw_interlace_control.cpp, fellow/SRC/C/GRAPH.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/graphics/GraphicsEvent.cpp, fellow/SRC/INCLUDE/BUS.H,
	  fellow/SRC/INCLUDE/CpuIntegration.h, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/draw_interlace_control.h, fellow/SRC/INCLUDE/GRAPH.H: Implemented
	  proper "short frame" when display is interlaced and frame is short.

2013-09-08  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r949] fellow/SRC/C/CpuModule_Exceptions.c: Changed the PC (-2) saved on the stack for
	  address exception.

2013-09-01  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r948] fellow/SRC/C/BUS.C, fellow/SRC/C/DRAW.C, fellow/SRC/C/draw_interlace_control.cpp,
	  fellow/SRC/C/draw_pixelrenderers.cpp, fellow/SRC/C/GRAPH.C, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/draw_interlace_control.h, fellow/SRC/INCLUDE/GRAPH.H,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  The old "interlace compensation" option is done automatically when needed.

2013-08-26  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r947] fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: first
	  attempt at fullscreen RetroPlatform mode
	  the scaling is off for the moment, but switching is already possible (but still limited to
	  the primary display)

2013-07-26  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r946] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/SRC/C/RtcOkiMsm6242rs.cpp,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: fix for crash when setting RTC registers while
	  getting current time fails
	  eliminated SSE requirements (targetting IA32 now)
	  documentation update

2013-07-21  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r945] fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: reconfigured debug and release profile to
	  target SSE1
	  reconfigured floating point optimization to fast for debug profile (to match release
	  profile)

2013-07-19  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r944] fellow/SRC/C/FELLOW.C, fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/WIN32/C/sysinfo.c,
	  fellow/SRC/WIN32/INCLUDE/sysinfo.h: removed assembler based sysinfo code
	  removed MMX detection, as it is unused

2013-07-15  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r943] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/doxygen/Documentation/HOWTO
	  Regression Testing.md, fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c:
	  fix input device issue when RP session is being reset
	  documentation update

2013-07-09  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r942] fellow/SRC/C/DRAW.C, fellow/SRC/C/GRAPH.C, fellow/SRC/INCLUDE/DEFS.H,
	  fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: Cleanup - Removed the last remnants of the old
	  de-interlace handling.

2013-07-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r941] fellow/SRC/WIN32/C/RetroPlatform.c: RetroPlatform 1x/2x mode switching fixed
	  made 2x mode available for release builds

2013-07-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r940] fellow/SRC/WIN32/C/RetroPlatform.c: RetroPlatform 1x/2x switch is now able to
	  change display scale on the fly

2013-07-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r939] fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/C/WINMAIN.C: delay RetroPlatform
	  screenmode notification to occur later
	  larger buffer for offscreen surface

2013-07-02  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r938] fellow/SRC/C/draw_pixelrenderers.cpp: 24-bit color routines debugged and fixed an
	  overrun problem in 16-bit color.

2013-06-30  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r937] fellow/SRC/C/draw_pixelrenderers.cpp, fellow/SRC/INCLUDE/DEFS.H: 32-bit color
	  should be good now, also in HAM. Still having some crashes in 16-bit color. (TODO).

2013-06-27  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r936] fellow/SRC/C/DRAW.C, fellow/SRC/WIN32/C/GFXDRV.C: 2x mode now working when passed
	  on startup
	  toggling around between 1x and 2x still not working

2013-06-26  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r935] fellow/SRC/WIN32/C/RetroPlatform.c: further enhancements to offset calculations -
	  window now sized correctly for 2x mode

2013-06-25  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r934] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: display scale is now taken into account upon
	  startup
	  resolution still not being adapted properly

2013-06-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r933] fellow/SRC/WIN32/C/RetroPlatform.c: screen resolution change via Amiga Forever -
	  experimental implementation
	* [r932] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/SRC/WIN32/C/RetroPlatform.c:
	  enable 2x button in debug builds
	  documentation updated to highlight new scaling options

2013-06-23  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r931] fellow/SRC/C/CONFIG.C, fellow/SRC/C/DRAW.C, fellow/SRC/C/draw_pixelrenderers.cpp,
	  fellow/SRC/C/GRAPH.C, fellow/SRC/C/SPRITE.C, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/draw_pixelrenderers.h,
	  fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/INCLUDE/GRAPH.H, fellow/SRC/INCLUDE/SPRITE.H,
	  fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  Reworked the display scaling settings and code to render in two modes, 1X (640x512+ type)
	  and 2X (1280x1024+ type). Replaced a number of display related config settings with two
	  new ones: gfx_display_scale and gfx_display_scale_strategy

2013-06-15  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r930] fellow/SRC/C/CONFIG.C, fellow/SRC/WIN32/C/WGUI.C: presets are no longer being
	  applied to the filesystem and configuration tabs
	  this fixes the issue that the hardfile and filesystem config was being reset when applying
	  a preset

2013-06-03  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r929] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/GUI_general.rc: fixed an issue
	  where the presets dialog would execute unwanted code segments
	  made ROM search path edit field read-only (select via button on the right instead)

2013-06-02  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r928] fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/Ini.c: in graphics fallback mode, windowed modes are now usable as well
	  added initialization for last used mod dir
	  removed unused variable from rom search

2013-06-01  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r927] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/GFXDRV.C: restored fallback to enumerate
	  modes ignoring the refresh rate, if no valid drawmodes are found
	  implemented error handling in RetroPlatform mode when no draw modes are found
	* [r926] fellow/SRC/WIN32/C/fileops.c: preset ROM search no longer performed recursively
	  (FILEOPS_ROMSEARCH_RECURSIVE define not set by default)

2013-05-31  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r925] fellow/SRC/C/FMEM.C: changed preferred way to locate AmigaForever.dll relatively
	  (so a portable installation is preferred over an installed one)
	* [r924] fellow/SRC/WIN32/C/fileops.c: minor fix of preset location code in release builds
	  and properly free file handles
	* [r923] fellow/SRC/C/FMEM.C, fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/INCLUDE/fileops.h: implemented fallback to locate AmigaForever.dll
	  relatively to the WinFellow installation directory (portable use)
	  removed unused fallback code from 1Hz graphics mode selection fix
	* [r922] fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/GFXDRV.C: graphics modes with 1 Hz
	  refresh rate are no longer being ignored, allowing testing of WinFellow with a standard
	  VGA driver/in virtual machines
	  fixed logging of preset path

2013-05-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r921] fellow/Presets/a-500.ini, fellow/Presets/a-500_a-501.ini, fellow/SRC/C/CONFIG.C,
	  fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/WGUI.C: code
	  refactoring to avoid stack exhaustion issue (move declarations to the beginning of
	  functions)
	  eliminated fallback to "doubled" kickstart CRC calculation
	  logging output optimized

2013-05-27  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r920] fellow/Presets/a-2000.ini, fellow/Presets/a-600.ini, fellow/SRC/C/CONFIG.C,
	  fellow/SRC/C/FMEM.C, fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/WIN32/C/fileops.c: preset ROM
	  auto selection for Amiga Forever encrypted ROMs implemented
	  in debug mode, presets are now read from relative path within source directory as well
	  updated checksums for A2000 and A600 presets to match Amiga Forever ROMs

2013-05-26  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r919] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/Presets,
	  fellow/Presets/a-1000.ini, fellow/Presets/a-2000.ini, fellow/Presets/a-3000.ini,
	  fellow/Presets/a-500.ini, fellow/Presets/a-500_a-501.ini, fellow/Presets/a-500plus.ini,
	  fellow/Presets/a-600.ini, fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/INCLUDE/fileops.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: auto-location of
	  ROMs for model preset functionality

2013-05-25  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r918] fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: presets preview and import (1:1) finished

2013-05-21  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r917] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: presets now put into dropdown box
	  highlights partially displayed in GUI

2013-05-20  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r916] fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/INCLUDE/WGUI.H, fellow/SRC/WIN32/C/WGUI.C:
	  presets are now parsed on startup of the emulator

2013-05-19  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r915] fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/INCLUDE/fileops.h: added the ability to locate presets directory (inside
	  WinFellow installation path)

2013-05-18  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r914] fellow/SRC/INCLUDE/Ini.h, fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: remember last
	  used preset rom search path
	  default to Amiga Forever
	  enable model dropdown box when search path is configured
	* [r913] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: GUI preparations for handling of model presets

2013-05-12  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r912] fellow/SRC/C/COPPER.C, fellow/SRC/C/GRAPH.C, fellow/SRC/C/SPRITE.C,
	  fellow/SRC/graphics/CopperNew.c, fellow/SRC/graphics/CopperNew.h,
	  fellow/SRC/graphics/Planar2ChunkyDecoder.c, fellow/SRC/graphics/Planar2ChunkyDecoder.h,
	  fellow/SRC/graphics/SpriteState.c, fellow/SRC/graphics/SpriteState.h: Some new copper
	  improvements and preparing for proper sprite drawing in dual and ham.
	* [r911] fellow/SRC/C/BUS.C, fellow/SRC/graphics/BitplaneDMA.c,
	  fellow/SRC/graphics/BitplaneDMA.h, fellow/SRC/graphics/BitplaneDraw.c,
	  fellow/SRC/graphics/CopperNew.c, fellow/SRC/graphics/DDFStateMachine.c,
	  fellow/SRC/graphics/DDFStateMachine.h, fellow/SRC/graphics/DIWXStateMachine.c,
	  fellow/SRC/graphics/DIWXStateMachine.h, fellow/SRC/graphics/DIWYStateMachine.c,
	  fellow/SRC/graphics/DIWYStateMachine.h, fellow/SRC/graphics/Graphics.cpp,
	  fellow/SRC/graphics/Graphics.h, fellow/SRC/graphics/GraphicsEvent.cpp,
	  fellow/SRC/graphics/GraphicsEvent.h, fellow/SRC/graphics/GraphicsEventQueue.cpp,
	  fellow/SRC/graphics/GraphicsEventQueue.h, fellow/SRC/graphics/Logger.cpp,
	  fellow/SRC/graphics/Logger.h, fellow/SRC/graphics/PixelSerializer.c,
	  fellow/SRC/graphics/PixelSerializer.h, fellow/SRC/graphics/Planar2ChunkyDecoder.c,
	  fellow/SRC/graphics/Planar2ChunkyDecoder.h, fellow/SRC/graphics/SpriteState.c,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  Border handling. Restructured code to accomodate this, and enabled new copper which was
	  disabled previously.

2013-05-11  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r910] fellow/SRC/C/FLOPPY.C: Missing #ifdef...
	* [r909] fellow/SRC/C/FLOPPY.C: Keep the floppy log file open until shutdown to improve
	  performance in debugging mode.

2013-05-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r908] fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: versioninfo
	  logging extended with GRAPH2 build information
	  added a project property GraphVersion that can be set to GRAPH2 to compile a GRAPH2 build
	  in an unattended manner
	* [r907] fellow/doxygen/Documentation/HOWTO Regression Testing.md, fellow/SRC/C/FLOPPY.C:
	  floppy creation check for illegal volume names is now case insensitive
	  changed some bool instances of FALSE/TRUE to false/true
	  updated regression testing documentation for recent sprite fix

2013-05-07  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r906] fellow/SRC/C/SPRITE.C: Fix sprite DMA being disabled instead of waiting. Ref.
	  Arkanoid updating vstart/vstop with the copper.
	* [r905] fellow/SRC/C/BUS.C, fellow/SRC/C/COPPER.C, fellow/SRC/C/DRAW.C,
	  fellow/SRC/C/FELLOW.C, fellow/SRC/C/GRAPH.C, fellow/SRC/C/SPRITE.C, fellow/SRC/graphics,
	  fellow/SRC/graphics/BitplaneDMA.c, fellow/SRC/graphics/BitplaneDMA.h,
	  fellow/SRC/graphics/BitplaneDraw.c, fellow/SRC/graphics/BitplaneDraw.h,
	  fellow/SRC/graphics/BitplaneUtility.h, fellow/SRC/graphics/CopperNew.c,
	  fellow/SRC/graphics/CopperNew.h, fellow/SRC/graphics/DDFStateMachine.c,
	  fellow/SRC/graphics/DDFStateMachine.h, fellow/SRC/graphics/DIWXStateMachine.c,
	  fellow/SRC/graphics/DIWXStateMachine.h, fellow/SRC/graphics/DIWYStateMachine.c,
	  fellow/SRC/graphics/DIWYStateMachine.h, fellow/SRC/graphics/Graphics.cpp,
	  fellow/SRC/graphics/Graphics.h, fellow/SRC/graphics/GraphicsEvent.cpp,
	  fellow/SRC/graphics/GraphicsEvent.h, fellow/SRC/graphics/GraphicsEventQueue.cpp,
	  fellow/SRC/graphics/GraphicsEventQueue.h, fellow/SRC/graphics/PixelSerializer.c,
	  fellow/SRC/graphics/PixelSerializer.h, fellow/SRC/graphics/Planar2ChunkyDecoder.c,
	  fellow/SRC/graphics/Planar2ChunkyDecoder.h, fellow/SRC/graphics/SpriteState.c,
	  fellow/SRC/graphics/SpriteState.h, fellow/SRC/INCLUDE/DEFS.H,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  Prototype of a different gfx core. Enable with GRAPH2. Works only with 32-bit host colors.

2013-05-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r904] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/WINMAIN.C: a memory leak report is logged
	  to disk when a debug build of the emulator closes (logfiledir)
	  exception (user-mode dump) handling moved into winmain.c

2013-05-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r903] fellow/SRC/C/FLOPPY.C, fellow/SRC/INCLUDE/FLOPPY.H, fellow/SRC/WIN32/C/WGUI.C:
	  floppy AmigaDOS volume names are now checked for basic validity before creating a floppy
	  image

2013-05-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r902] fellow/doxygen/Documentation/HOWTO Development environment setup.md,
	  fellow/SRC/C/FLOPPY.C, fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/WIN32/C/WGUI.C: code
	  optimization & cleanup
	  removed some warnings, made code more portable
	  added coding style guidelines

2013-05-03  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r901] fellow/SRC/C/FLOPPY.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/C/WGUI.C: empty disk creation wizard finished
	* [r900] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: GUI code for floppy image generation completed
	* [r899] fellow/SRC/C/FLOPPY.C, fellow/SRC/INCLUDE/FLOPPY.H, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: GUI
	  preparations for floppy creation dialog

2013-05-01  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r898] fellow/SRC/INCLUDE/SPRITE.H: increased sprite action/merge item list sizes to a
	  maximum of 5.000 entries
	  this fixes crashes to the desktop in State of the Art and Mega Lo Mania
	* [r897] fellow/doxygen/Documentation/HOWTO Regression Testing.md, fellow/SRC/C/KBD.C: Fix
	  for undo dialog in RetroPlatform mode when closing via Alt+F4
	* [r896] fellow/SRC/C/CONFIG.C, fellow/SRC/C/KBD.C, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/WIN32/C/KBDDRV.C: restored Alt+F4 in RetroPlatform mode

2013-04-28  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r895] fellow/SRC/WIN32/C/GFXDRV.C: Revert previous change.
	* [r894] fellow/SRC/WIN32/C/GFXDRV.C: Reduced max window size to correspond with internal
	  code max limits (287/574 lines).
	* [r893] fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/C/WINMAIN.C: Start keyboard direct input in exclusive mode to avoid some
	  of the built in ALT handling in windows.

2013-04-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r892] fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/WIN32/C/WGUI.C:
	  implemented a warning message when quitting WinFellow with unsaved changes made to the
	  configuration file

2013-04-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r891] fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/WIN32/C/WGUI.C:
	  removed original config backup entry, as it was not used for anything
	  using current config entry during shutdown to free the allocated memory resources
	* [r890] fellow/SRC/C/CONFIG.C, fellow/SRC/C/LISTTREE.C, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/INCLUDE/LISTTREE.H, fellow/SRC/WIN32/C/WGUI.C: cancelling configuration dialog
	  implementation changed
	  instead of saving to disk temporarily, a copy of the configuration is created in memory
	  and either discarded or set as active afterwards

2013-04-22  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r889] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/SRC/C/FLOPPY.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/INCLUDE/fileops.h: configuration changes are now discarded when the
	  config dialog is cancelled
	  relocated temporary filename generation to fileops; it is OS specific and can now be used
	  by other modules
	  removed an unused local variable
	  updated the end user documentation

2013-04-21  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r888] fellow/SRC/C/SPRITE.C: Added drawing of sprites in hires dual playfield mode. Was
	  incorrectly using the lores routine and a hires version of the code did not exist.
	* [r887] fellow/SRC/C/DRAW.C, fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/WIN32/C/GFXDRV.C: Used
	  macro PTR_TO_INT for pointer conversions (64-bit) for those conversions that wasn't using
	  it. + Ignore WM_DISPLAYCHANGE in fullscreen mode on startup.
	* [r886] fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/WGUI.C: Handle WM_DISPLAYCHANGE correctly, restart the emulation
	  session to re-query the gfx hardware.

2013-04-21  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r885] fellow/SRC/WIN32/INCLUDE/RetroPlatformIPC.h: RetroPlatform library update of
	  include

2013-04-21  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r884] fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/kbdparser.c, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/C/WINMAIN.C: Clean up formatting prior to making other changes.

2013-04-19  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r883] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/doxygen/Documentation/HOWTO
	  Development environment setup.md, fellow/readme.txt,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: documentation updated to reflect requirements for
	  WinXP targeting
	* [r882] fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: configured zlib compilation options within
	  all profiles and platforms
	* [r881] fellow/SRC/WIN32/MSVC/WinFellow.vcxproj,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters, fellow/SRC/zlib/C/adler32.c,
	  fellow/SRC/zlib/C/compress.c, fellow/SRC/zlib/C/crc32.c, fellow/SRC/zlib/C/deflate.c,
	  fellow/SRC/zlib/C/gzclose.c, fellow/SRC/zlib/C/gzio.c, fellow/SRC/zlib/C/gzlib.c,
	  fellow/SRC/zlib/C/gzread.c, fellow/SRC/zlib/C/gzwrite.c, fellow/SRC/zlib/C/infback.c,
	  fellow/SRC/zlib/C/inffast.c, fellow/SRC/zlib/C/inflate.c, fellow/SRC/zlib/C/inftrees.c,
	  fellow/SRC/zlib/C/trees.c, fellow/SRC/zlib/C/uncompr.c, fellow/SRC/zlib/C/zutil.c,
	  fellow/SRC/zlib/include/crc32.h, fellow/SRC/zlib/include/deflate.h,
	  fellow/SRC/zlib/include/gzguts.h, fellow/SRC/zlib/include/inffast.h,
	  fellow/SRC/zlib/include/inffixed.h, fellow/SRC/zlib/include/inflate.h,
	  fellow/SRC/zlib/include/inftrees.h, fellow/SRC/zlib/include/trees.h,
	  fellow/SRC/zlib/include/zconf.h, fellow/SRC/zlib/include/zlib.h,
	  fellow/SRC/zlib/include/zutil.h, fellow/SRC/zlib/README: zlib updated to version 1.2.7

2013-04-14  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r880] fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: toolset targeting also changed for release
	  builds
	* [r879] fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: toolset changed to target WinXP
	* [r878] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/readme.txt: minor
	  documentation update before release
	* [r877] fellow/Docs/WinFellow/WinFellow User Guide.lyx,
	  fellow/SRC/WIN32/INCLUDE/versioninfo-wcrev.h,
	  fellow/SRC/WIN32/MSVC/GUI_versioninfo-wcrev.rc: updated version information to release
	  0.5.1

2013-04-14  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r876] fellow/SRC/C/RtcOkiMsm6242rs.cpp: mktime fails for years < (19)70, assume < 70 is
	  next century.

2013-04-12  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r875] fellow/SRC/C/CONFIG.C: cfgSetDefaults NULL pointer check implemented
	  this fixes the generation of minidumps while closing WinFellow from RetroPlatform

2013-04-11  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r874] fellow/doxygen/Documentation/HOWTO Regression Testing.md,
	  fellow/SRC/WIN32/MSVC/GUI_versioninfo-wcrev.rc: fixed garbled string in copyright
	  properties
	  added regression test case for recent floppy change

2013-04-10  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r873] fellow/SRC/C/FLOPPY.C: floppy change regarding number of words per line reverted
	  back

2013-04-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r872] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/doxygen/Documentation/HOWTO
	  Regression Testing.md: documentation updates

2013-04-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r871] fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H: changes to configuration file
	  handling processing
	  for standalone WinFellow, the last used config is only applied on start if no config file
	  is provided via command-line
	  in RetroPlatform mode, the last used config is never applied
	* [r870] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: implemented GUI elements to configure real-time
	  clock and silent sound emulation (framelimit removal) within various options

2013-04-07  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r869] fellow/SRC/C/CONFIG.C, fellow/SRC/C/rtc.cpp, fellow/SRC/C/RtcOkiMsm6242rs.cpp,
	  fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/INCLUDE/rtc.h: Added rtc config option.

2013-04-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r868] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/doxygen/Documentation/HOWTO
	  Preparing WinFellow for a new public release.md, fellow/doxygen/Documentation/HOWTO
	  Regression Testing.md: updated user guide and doxygen documentation

2013-04-07  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r867] fellow/SRC/C/FMEM.C, fellow/SRC/C/rtc.cpp, fellow/SRC/C/RtcOkiMsm6242rs.cpp,
	  fellow/SRC/INCLUDE/rtc.h, fellow/SRC/INCLUDE/RtcOkiMsm6242rs.h,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  Initial rtc.

2013-04-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r866] fellow/SRC/WIN32/C/GFXDRV.C: implemented filtered screenshot function
	  while "screenshot to pictures folder" already works, screenshot code only available in
	  debug modes, as the clipping editor will also require the capability to resize the window,
	  which is not implemented yet

2013-04-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r865] fellow/doxygen/Documentation/HOWTO Regression Testing.md, fellow/SRC/C/FLOPPY.C:
	  fixed floppy regression while loading Lemmings 2
	  added additional logging in case of "unusual" dsksync values
	  updated regression test documentation

2013-04-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r864] fellow/SRC/WIN32/MSVC/GUI_debugger.rc, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/MSVC/GUI_versioninfo-wcrev.rc: fix for compilation on Express editions of
	  Visual Studio
	* [r863] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: audio volume slider implemented for WinFellow GUI
	* [r862] fellow/SRC/WIN32/MSVC, fellow/SRC/WIN32/MSVC/GUI_versioninfo.h: changes to ignore
	  list
	* [r861] fellow/SRC/WIN32/MSVC, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc, fellow/SRC/WIN32/MSVC/GUI_general-wcrev.rc,
	  fellow/SRC/WIN32/MSVC/GUI_versioninfo-wcrev.rc, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters: separation of versioninfo from GUI
	  resources
	* [r860] fellow/SRC/WIN32/C/RetroPlatform.c: disable screenshot function in release builds
	  RetroPlatform code and comment/documentation cleanup

2013-04-04  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r859] fellow/SRC/C/FLOPPY.C: clear floppy debug log upon start of the emulator
	  it grows to be quite big over time
	* [r858] fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c: source rectangle now also being applied when surface
	  is lost (RP mode)
	  removed unused code, documentation updates
	* [r857] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: implemented return
	  codes within screenshot handling, so RP player accepts images
	* [r856] fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c: first attempt at RetroPlatform screenshot function
	  implemented
	* [r855] fellow/SRC/WIN32/C/RetroPlatform.c: hard drive content reporting using proper
	  index, (write) LED display timing fix

2013-04-03  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r854] fellow/SRC/C/FHFILE.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: notification of device content and activity for
	  hardfiles implemented

2013-04-02  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r853] fellow/SRC/WIN32/C/RetroPlatform.c: notification of activated hardfiles implemented
	* [r852] fellow/SRC/WIN32/MSVC/winfellow.ico: icon updated for new Vista/Windows 7/8
	  resolutions

2013-03-31  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r851] fellow/SRC/WIN32/C/GFXDRV.C: Don't use fullscreen modes with a refresh rate less
	  than 50.
	* [r850] fellow/SRC/C/CONFIG.C, fellow/SRC/C/DRAW.C, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/INCLUDE/WGUI.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/WGUI.C: Removed support for 8-bit color modes.
	* [r849] fellow/doxygen/Documentation/HOWTO Regression Testing.md: Added test case for r843.
	* [r848] fellow/SRC/C/CONFIG.C, fellow/SRC/C/DRAW.C, fellow/SRC/C/FHFILE.C,
	  fellow/SRC/C/SOUND.C, fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/FONTS.H, fellow/SRC/INCLUDE/SOUND.H,
	  fellow/SRC/WIN32/C/commoncontrol_wrap.c, fellow/SRC/WIN32/C/WGUI.C: Made HUD LEDs the same
	  height regardless of scaling option. Also changed some BOOLE types to bool.

2013-03-30  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r847] fellow/SRC/INCLUDE/CpuModule.h: Made CPU_INSTRUCTION_LOGGING dependent on _DEBUG

2013-03-30  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r846] fellow/SRC/C/CONFIG.C, fellow/SRC/C/SOUND.C, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/INCLUDE/SOUND.H, fellow/SRC/INCLUDE/SOUNDDRV.H,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/C/SOUNDDRV.C: sound volume made
	  configurable via configuration file
	  new parameter sound_volume=<0-100> is being read and applied on start
	* [r845] fellow/SRC/C/FLOPPY.C: fix for compilation of release build
	  the recent logging changes had one leftover call for debug logging in release mode
	* [r844] fellow/SRC/INCLUDE/SOUNDDRV.H, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/C/SOUNDDRV.C: implemented RetroPlatform volume control
	  first stubs for screenshot functionality

2013-03-30  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r843] fellow/SRC/C/FLOPPY.C: Re-add disksync workaround for ADF that existed in 0.4.4.
	  (Prince of Persia, North and South)

2013-03-29  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r842] fellow/SRC/C/FLOPPY.C: Improved logging a bit + reformatting to make code more
	  readable.

2013-03-29  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r841] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: reporting of screen mode to host implemented (1x
	  clipped mode)
	  code restructured for conversion to different screen modes/scaling factors, abstraction of
	  numbers
	* [r840] fellow/SRC/C/CONFIG.C: number of default reserved blocks for hardfiles changed to 2
	  it now matches the numbers used by WinUAE and Amiga Forever, increasing interoperability
	* [r839] fellow/SRC/WIN32/C/GFXDRV.C: send mouse capture notification when activating via
	  title bar
	* [r838] fellow/SRC/C/BUS.C, fellow/SRC/INCLUDE/BUS.H, fellow/SRC/WIN32/C/RetroPlatform.c:
	  rewrote CPU turbo mode control
	  RP session is now stopped and the bus cpu event handler re-calculated, allowing use of the
	  fast routines in normal mode; the black flash is a minor cosmetic issue - turbo mode is
	  rarely used and using the fast routines is preferable for normal operation
	* [r837] fellow/SRC/C/KBD.C, fellow/SRC/INCLUDE/KBD.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/KBDDRV.C: code cleanup
	  unused keyboard code
	  removed some unused variables that were being initialized

2013-03-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r836] fellow/SRC/C/BUS.C, fellow/SRC/C/CpuIntegration.c,
	  fellow/SRC/INCLUDE/CpuIntegration.h, fellow/SRC/WIN32/C/RetroPlatform.c: RetroPlatform CPU
	  turbo mode fixed
	  in RP mode, generic CPU instruction handler will now always be used, so that the speed can
	  be varied
	* [r835] fellow/SRC/C/BUS.C, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: timed escape
	  key rewritten
	  still not compatible with all titles, but seems to finally work for the most frequent use
	  cases
	* [r834] fellow/Docs/WinFellow/Credits.txt, fellow/Docs/WinFellow/disclaimer.txt,
	  fellow/Docs/WinFellow/License.txt, fellow/Docs/WinFellow/Module Ripper.txt,
	  fellow/Docs/WinFellow/WinFellow User Guide.lyx, fellow/Docs/WinFellow/WinFellow_FAQ.txt,
	  fellow/doxygen/Documentation/HOWTO Development environment setup.md,
	  fellow/doxygen/Documentation/HOWTO Preparing WinFellow for a new public release.md,
	  fellow/doxygen/Documentation/HOWTO Regression Testing.md, fellow/SRC/C/interrupt.c,
	  fellow/SRC/WIN32/C/RetroPlatform.c: turbo CPU code update
	  documentation updates

2013-03-28  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r833] fellow/SRC/C/BUS.C: More checks for emulation stop (ie F11) to avoid deadlock in
	  rare cases.
	* [r832] fellow/SRC/C/CpuModule_Disassembler.c, fellow/SRC/C/CpuModule_Exceptions.c,
	  fellow/SRC/C/CpuModule_Instructions.c: Fix movep instruction bug and made cpu exception
	  handling check better for bad addressess to avoid deadlock.

2013-03-26  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r831] fellow/SRC/C/BLIT.C, fellow/SRC/C/BUS.C, fellow/SRC/C/CpuIntegration.c,
	  fellow/SRC/C/CpuModule.c, fellow/SRC/C/CpuModule_Instructions.c,
	  fellow/SRC/C/CpuModule_InternalState.c, fellow/SRC/C/CpuModule_Interrupts.c,
	  fellow/SRC/C/FELLOW.C, fellow/SRC/C/FLOPPY.C, fellow/SRC/C/FMEM.C,
	  fellow/SRC/C/interrupt.c, fellow/SRC/C/SOUND.C, fellow/SRC/INCLUDE/BUS.H,
	  fellow/SRC/INCLUDE/CpuIntegration.h, fellow/SRC/INCLUDE/CpuModule.h,
	  fellow/SRC/INCLUDE/CpuModule_Internal.h, fellow/SRC/INCLUDE/DEFS.H,
	  fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/INCLUDE/interrupt.h,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  Moved chipset interrupt handling to a separate file. Added interrupt event to account for
	  latency.

2013-03-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r830] fellow/SRC/C/FLOPPY.C, fellow/SRC/INCLUDE/FLOPPY.H,
	  fellow/SRC/WIN32/C/RetroPlatform.c: error handling for extended2 ADF format images
	  an error message is logged and insertion of disk aborted when these images are detected

2013-03-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r829] fellow/Docs/WinFellow/gpl-2.0.tex: GNU General Public License v2 (TeX) checked into
	  documentation
	* [r828] fellow/SRC/C/CONFIG.C, fellow/SRC/C/FLOPPY.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: fixed various RetroPlatform related floppy
	  issues:
	  1. first enable floppy drives, then send content (so content is sent on initialization as
	  well)
	  2. implemented floppy write LED status (should fix undo issue)
	  3. implemented reporting of floppy turbo flag, so it is visible in the GUI
	* [r827] fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatformIPC.h: updated documentation of RetroPlatform.c, now
	  includes rough description of how RP plug-in works
	  updated RetroPlatform support library to 3.4 (changes to screenshot interfaces)
	  clean rewrite of the safety checks for the adjustments of the clipping offsets

2013-03-22  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r826] fellow/Docs/WinFellow, fellow/Docs/WinFellow/WinFellow User Guide.lyx,
	  fellow/SRC/WIN32/C/RetroPlatform.c: documentation update for new build scripts
	* [r825] fellow/Docs/WinFellow/WinFellow User Guide.lyx: initial checkin of WinFellow User
	  Guide

2013-03-21  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r824] fellow/SRC/C/SOUND.C: Changed how the CPU driven sound stub issues irq's.
	  (Ballistix regression)

2013-03-21  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r823] fellow/SRC/WIN32/C/GFXDRV.C: fix for clipping when interlace compensation is active
	  (source rectangle was being ignored)

2013-03-17  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r822] fellow/SRC/WIN32/C/RetroPlatform.c: clipping override using value of 0 now possible
	  again

2013-03-15  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r821] fellow/SRC/WIN32/C/GFXDRV.C: fix for proper scaling of automatic/PAL maximum mode
	* [r820] fellow/SRC/WIN32/C/GFXDRV.C: clipping is now performed by aligning the source
	  rectangle properly and applying it during blit, to reduce the performance hit caused by
	  clipping
	  this no longer relies on the DirectX failsafe to prevent copying of data outside the
	  window borders

2013-03-14  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r819] fellow/SRC/WIN32/C/GFXDRV.C: clipping offsets are now only applied onscreen if both
	  are configured; this fixes a displacement issue in automatic clipping mode (max
	  resolution) without offsets
	* [r818] fellow/SRC/C/DRAW.C, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h:
	  implementation of clipping by offsets in RetroPlatform client mode

2013-03-12  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r817] fellow/SRC/WIN32/C/KBDDRV.C: restored original escape key behaviour, as the new one
	  proved really flakey; this requires design changes to the keyboard driver before deploying
	  a final fix

2013-03-11  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r816] fellow/SRC/WIN32/C/KBDDRV.C: last commit broke keyboard replacements, as it would
	  skip further checks
	* [r815] fellow/SRC/WIN32/C/KBDDRV.C: RetroPlatform escape key is now always sent to
	  emulator session, so key can be used inside emulation

2013-03-10  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r814] fellow/SRC/C/FLOPPY.C: Changed to load Ballistix.

2013-03-10  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r813] fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: fixed escaping the mouse cursor in RetroPlatform
	  pause mode by escaping immediately after key press when paused

2013-03-09  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r812] fellow/SRC/C/CpuIntegration.c, fellow/SRC/C/SPRITE.C, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/SOUNDDRV.C,
	  fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/TIMER.C, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/CAPS/C/caps_win32.c,
	  fellow/SRC/WIN32/UAE/C/FILESYS.C: Last batch of vs code analysis changes. Mostly sprintf
	  and printing unsigned int as %d, should be %u. These show up as warnings on gcc.

2013-03-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r811] fellow/Docs/DOSDocs/DOCS/CREDITS.TXT, fellow/Docs/DOSDocs/DOCS/FELLOW.FAQ,
	  fellow/Docs/DOSDocs/DOCS/fellowde.html, fellow/Docs/DOSDocs/DOCS/FELLOWDK.TXT,
	  fellow/Docs/DOSDocs/DOCS/FELLOWES.TXT, fellow/Docs/DOSDocs/DOCS/FELLOWFR.TXT,
	  fellow/Docs/DOSDocs/DOCS/fellowit033.html, fellow/Docs/DOSDocs/DOCS/Fellowpl.txt,
	  fellow/Docs/DOSDocs/DOCS/fellowpt.html, fellow/Docs/DOSDocs/DOCS/handleiding.html,
	  fellow/Docs/DOSDocs/DOCS/index.html, fellow/Docs/DOSDocs/DOCS/LEDBOARD.TXT,
	  fellow/Docs/DOSDocs/DOCS/TECH.TXT, fellow/Docs/DOSDocs/DOCS/UserManual.html,
	  fellow/Docs/DOSDocs/DOCS/Utils/Fellowhd/ReadmeEn.txt,
	  fellow/Docs/DOSDocs/DOCS/Utils/Fellowhd/ReadmeSV.txt,
	  fellow/Docs/DOSDocs/UTILS/Amiga/NOTE.TXT, fellow/Docs/DOSDocs/UTILS/Amiga/TRANSDIS,
	  fellow/Docs/WinFellow/Credits.txt, fellow/Docs/WinFellow/disclaimer.txt,
	  fellow/Docs/WinFellow/License.txt, fellow/Docs/WinFellow/Module Ripper.txt,
	  fellow/Docs/WinFellow/WinFellow_FAQ.txt, fellow/doxygen/Build-Doxygen-Documentation.cmd,
	  fellow/doxygen/Documentation/HOWTO Development environment setup.md,
	  fellow/doxygen/Documentation/HOWTO doxygen environment setup.md,
	  fellow/doxygen/Documentation/HOWTO Preparing WinFellow for a new public release.md,
	  fellow/doxygen/Documentation/mainpage WinFellow Source Code Concepts.md,
	  fellow/doxygen/Doxyfile, fellow/lib/win32/msvc/caps/license.txt, fellow/readme.txt,
	  fellow/SRC/68kgenerate/68000.txt, fellow/SRC/68kgenerate/68kgenerate.c,
	  fellow/SRC/ASM/amiga/fhfile.s, fellow/SRC/ASM/amiga/fhtrans.c, fellow/SRC/C/BLIT.C,
	  fellow/SRC/C/BUS.C, fellow/SRC/C/CIA.C, fellow/SRC/C/COPPER.C, fellow/SRC/C/CpuModule.c,
	  fellow/SRC/C/CpuModule_Disassembler.c, fellow/SRC/C/CpuModule_EffectiveAddress.c,
	  fellow/SRC/C/CpuModule_Exceptions.c, fellow/SRC/C/CpuModule_Flags.c,
	  fellow/SRC/C/CpuModule_Instructions.c, fellow/SRC/C/CpuModule_InternalState.c,
	  fellow/SRC/C/CpuModule_Interrupts.c, fellow/SRC/C/CpuModule_Logging.c,
	  fellow/SRC/C/CpuModule_StackFrameGen.c, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FLOPPY.C,
	  fellow/SRC/C/FSNAVIG.C, fellow/SRC/C/GAMEPORT.C, fellow/SRC/C/GRAPH.C, fellow/SRC/C/KBD.C,
	  fellow/SRC/C/LISTTREE.C, fellow/SRC/C/SOUND.C, fellow/SRC/C/zlibwrap.c,
	  fellow/SRC/INCLUDE/BLIT.H, fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/CIA.H,
	  fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/INCLUDE/COPPER.H,
	  fellow/SRC/INCLUDE/CpuIntegration.h, fellow/SRC/INCLUDE/CpuModule.h,
	  fellow/SRC/INCLUDE/CpuModule_Code.h, fellow/SRC/INCLUDE/CpuModule_Data.h,
	  fellow/SRC/INCLUDE/CpuModule_Decl.h, fellow/SRC/INCLUDE/CpuModule_Disassembler.h,
	  fellow/SRC/INCLUDE/CpuModule_DisassemblerFunc.h, fellow/SRC/INCLUDE/CpuModule_Internal.h,
	  fellow/SRC/INCLUDE/CpuModule_Profile.h, fellow/SRC/INCLUDE/DEFS.H,
	  fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/EVENTID.H, fellow/SRC/INCLUDE/FELLOW.H,
	  fellow/SRC/INCLUDE/FFILESYS.H, fellow/SRC/INCLUDE/FHFILE.H, fellow/SRC/INCLUDE/FLOPPY.H,
	  fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/INCLUDE/FONTS.H, fellow/SRC/INCLUDE/FSNAVIG.H,
	  fellow/SRC/INCLUDE/GAMEPORT.H, fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/INCLUDE/GRAPH.H,
	  fellow/SRC/INCLUDE/Ini.h, fellow/SRC/INCLUDE/JOYDRV.H, fellow/SRC/INCLUDE/KBD.H,
	  fellow/SRC/INCLUDE/KBDDRV.H, fellow/SRC/INCLUDE/KEYCODES.H, fellow/SRC/INCLUDE/LISTTREE.H,
	  fellow/SRC/INCLUDE/modrip.h, fellow/SRC/INCLUDE/MOUSEDRV.H, fellow/SRC/INCLUDE/SOUND.H,
	  fellow/SRC/INCLUDE/SOUNDDRV.H, fellow/SRC/INCLUDE/SPRITE.H, fellow/SRC/INCLUDE/TIMER.H,
	  fellow/SRC/INCLUDE/WAV.H, fellow/SRC/INCLUDE/WGUI.H, fellow/SRC/INCLUDE/zlibwrap.h,
	  fellow/SRC/LINUX/readme.txt, fellow/SRC/makefile.linux, fellow/SRC/UAE/INCLUDE/AUTOCONF.H,
	  fellow/SRC/UAE/INCLUDE/EXECLIB.H, fellow/SRC/UAE/INCLUDE/FILESYS.H,
	  fellow/SRC/UAE/INCLUDE/filesys_win32.h, fellow/SRC/UAE/INCLUDE/fsdb.h,
	  fellow/SRC/UAE/INCLUDE/FSUSAGE.H, fellow/SRC/UAE/INCLUDE/PENGUIN.H,
	  fellow/SRC/UAE/INCLUDE/POSIXEMU.H, fellow/SRC/UAE/INCLUDE/UAE2FELL.H,
	  fellow/SRC/UAE/INCLUDE/UAEFSYS.H, fellow/SRC/UAE/readme.txt,
	  fellow/SRC/WIN32/C/commoncontrol_wrap.c, fellow/SRC/WIN32/C/fileops.c,
	  fellow/SRC/WIN32/C/FSWRAP.C, fellow/SRC/WIN32/C/fsysamnt.c, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/kbdparser.c, fellow/SRC/WIN32/C/modrip_win32.c,
	  fellow/SRC/WIN32/C/MOUSEDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/C/RetroPlatformGuestIPC.c, fellow/SRC/WIN32/C/SOUNDDRV.C,
	  fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/TIMER.C, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/CAPS/C/caps_win32.c, fellow/SRC/WIN32/CAPS/include/caps_win32.h,
	  fellow/SRC/WIN32/CAPS/include/CapsAPI.h, fellow/SRC/WIN32/CAPS/include/CapsLib.h,
	  fellow/SRC/WIN32/CAPS/include/Comlib.h, fellow/SRC/WIN32/CAPS/include/Comtype.h,
	  fellow/SRC/WIN32/INCLUDE/commoncontrol_wrap.h, fellow/SRC/WIN32/INCLUDE/dxver.h,
	  fellow/SRC/WIN32/INCLUDE/fileops.h, fellow/SRC/WIN32/INCLUDE/FSWRAP.H,
	  fellow/SRC/WIN32/INCLUDE/GCC/PORTABLE.H, fellow/SRC/WIN32/INCLUDE/kbdparser.h,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h, fellow/SRC/WIN32/INCLUDE/MSVC/PORTABLE.H,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatformGuestIPC.h,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatformIPC.h, fellow/SRC/WIN32/INCLUDE/sysinfo.h,
	  fellow/SRC/WIN32/INCLUDE/versioninfo-wcrev.h, fellow/SRC/WIN32/INCLUDE/WDBG.H,
	  fellow/SRC/WIN32/INCLUDE/WINDRV.H, fellow/SRC/WIN32/MSVC/68kgenerate.vcproj,
	  fellow/SRC/WIN32/MSVC/68kgenerate.vcxproj,
	  fellow/SRC/WIN32/MSVC/68kgenerate.vcxproj.filters, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc, fellow/SRC/WIN32/MSVC/gui_general.h,
	  fellow/SRC/WIN32/MSVC/GUI_general-wcrev.rc, fellow/SRC/WIN32/MSVC/Mapping_key.example,
	  fellow/SRC/WIN32/MSVC/Property Sheets/Microsoft DirectX SDK (February 2010).props,
	  fellow/SRC/WIN32/MSVC/WinFellow.dep, fellow/SRC/WIN32/MSVC/WinFellow.dsp,
	  fellow/SRC/WIN32/MSVC/WinFellow.dsw, fellow/SRC/WIN32/MSVC/WinFellow.exe.manifest,
	  fellow/SRC/WIN32/MSVC/WinFellow.sln, fellow/SRC/WIN32/MSVC/WinFellow.vcproj,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters,
	  fellow/SRC/WIN32/README.TXT, fellow/SRC/WIN32/UAE/C/AUTOCONF.C,
	  fellow/SRC/WIN32/UAE/C/EXPANSIO.C, fellow/SRC/WIN32/UAE/C/FILESYS.C,
	  fellow/SRC/WIN32/UAE/C/filesys_win32.c, fellow/SRC/WIN32/UAE/C/fsdb.c,
	  fellow/SRC/WIN32/UAE/C/fsdb_win32.c, fellow/SRC/WIN32/UAE/C/FSUSAGE.C,
	  fellow/SRC/WIN32/UAE/C/HARDFILE.C, fellow/SRC/WIN32/UAE/C/POSIXEMU.C,
	  fellow/SRC/WIN32/UAE/C/UAESUPP.C, fellow/SRC/xdms/C/crc_csum.c,
	  fellow/SRC/xdms/C/getbits.c, fellow/SRC/xdms/C/maketbl.c, fellow/SRC/xdms/C/pfile.c,
	  fellow/SRC/xdms/C/tables.c, fellow/SRC/xdms/C/u_deep.c, fellow/SRC/xdms/C/u_heavy.c,
	  fellow/SRC/xdms/C/u_init.c, fellow/SRC/xdms/C/u_medium.c, fellow/SRC/xdms/C/u_quick.c,
	  fellow/SRC/xdms/C/u_rle.c, fellow/SRC/xdms/C/xdms.c, fellow/SRC/xdms/include/cdata.h,
	  fellow/SRC/xdms/include/crc_csum.h, fellow/SRC/xdms/include/getbits.h,
	  fellow/SRC/xdms/include/maketbl.h, fellow/SRC/xdms/include/pfile.h,
	  fellow/SRC/xdms/include/tables.h, fellow/SRC/xdms/include/u_deep.h,
	  fellow/SRC/xdms/include/u_heavy.h, fellow/SRC/xdms/include/u_init.h,
	  fellow/SRC/xdms/include/u_medium.h, fellow/SRC/xdms/include/u_quick.h,
	  fellow/SRC/xdms/include/u_rle.h, fellow/SRC/xdms/include/xdms.h, fellow/SRC/xdms/xdms.txt,
	  fellow/SRC/zlib/C/adler32.c, fellow/SRC/zlib/C/compress.c, fellow/SRC/zlib/C/crc32.c,
	  fellow/SRC/zlib/C/deflate.c, fellow/SRC/zlib/C/gzio.c, fellow/SRC/zlib/C/inffast.c,
	  fellow/SRC/zlib/C/inflate.c, fellow/SRC/zlib/C/inftrees.c, fellow/SRC/zlib/C/trees.c,
	  fellow/SRC/zlib/C/uncompr.c, fellow/SRC/zlib/C/zutil.c, fellow/SRC/zlib/include/crc32.h,
	  fellow/SRC/zlib/include/deflate.h, fellow/SRC/zlib/include/inffast.h,
	  fellow/SRC/zlib/include/inffixed.h, fellow/SRC/zlib/include/inflate.h,
	  fellow/SRC/zlib/include/inftrees.h, fellow/SRC/zlib/include/trees.h,
	  fellow/SRC/zlib/include/zconf.h, fellow/SRC/zlib/include/zlib.h,
	  fellow/SRC/zlib/include/zutil.h, fellow/SRC/zlib/README: use native line endings instead
	  of unix line endings

2013-03-09  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r810] fellow/SRC/WIN32/C/SOUNDDRV.C: Create the sound buffer with DSBCAPS_GLOBALFOCUS.
	* [r809] fellow/SRC/INCLUDE/SOUNDDRV.H, fellow/SRC/WIN32/C/SOUNDDRV.C: Added logging of all
	  return values from DirectSound. Some minor refactoring.

2013-03-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r808] fellow/SRC/C/CONFIG.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: preparations for clipping offsets
	  RP clipping values are read from the config file and an interface provided to retrieve
	  them

2013-03-09  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r807] fellow/SRC/C/CONFIG.C, fellow/SRC/C/CpuIntegration.c,
	  fellow/SRC/C/CpuModule_Disassembler.c, fellow/SRC/C/DRAW.C, fellow/SRC/C/FFILESYS.C,
	  fellow/SRC/C/FHFILE.C, fellow/SRC/C/FMEM.C, fellow/SRC/C/modrip.c, fellow/SRC/C/SPRITE.C,
	  fellow/SRC/C/WAV.C, fellow/SRC/WIN32/C/SOUNDDRV.C: No functional changes. Fixed warnings
	  gotten in the vs code analysis tool, and reformatted sounddrv.c

2013-03-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r806] fellow/SRC/C/FELLOW.C: minidumps are now only generated for release builds, as
	  debug builds are usually debugged using Visual Studio
	  exception handling routines changed to native C
	* [r805] fellow/SRC/C/FELLOW.C: corrected some line endings
	* [r804] fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: generation of debugging program databases
	  for release build added, so that release build crash dumps can be debugged
	* [r803] fellow/SRC/C/FELLOW.C: Generation of minidumps implemented
	  Minidumps are output to the directory where the logfile is written, should an unhandled
	  exception occur; this allows us to debug errors in release builds/generated outside Visual
	  Studio.
	* [r802] fellow/doxygen/Build-Doxygen-Documentation.cmd, fellow/doxygen/Documentation/HOWTO
	  Development environment setup.md, fellow/doxygen/Documentation/HOWTO Preparing WinFellow
	  for a new public release.md, fellow/SRC/C/CONFIG.C, fellow/SRC/WIN32/C/GFXDRV.C: minor fix
	  for clipped display in automatic mode
	  updated documentation to reflect migration to SVN and new build process

2013-03-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r801] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c: initial clipping support for RetroPlatform; the
	  resolution is read from the config, and the display centered within that area while still
	  ignoring the clipping offsets
	  
	  changed the order in which modules are initialized, as config parsing was moved more to
	  the beginning, and the keyboard modules need to be initialized before that.

2013-03-06  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r800] fellow/SRC/C/CpuModule_Instructions.c: Kelvin Sherlock's rtd fix.

2013-03-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r799] fellow/SRC/WIN32/MSVC, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/MSVC/GUI_general-wcrev.rc, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj:
	  generating the resource file GUI_general.rc is now a pre-build step, so that the file
	  properties contain the SVN revision as build number

2013-03-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r798] fellow/SRC/WIN32/MSVC/WinFellow.sln: setup AnkhSVN integration
	* [r797] fellow/doxygen/Documentation/HOWTO Preparing WinFellow for a new public release.md,
	  fellow/SRC/C/CONFIG.C, fellow/SRC/C/FELLOW.C, fellow/SRC/INCLUDE/DEFS.H,
	  fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/WINMAIN.C, fellow/SRC/WIN32/INCLUDE,
	  fellow/SRC/WIN32/INCLUDE/versioninfo-wcrev.h, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters: include SVN version information in
	  WinFellow version info
	* [r796] CVSROOT: remove leftovers from the CVS2SVN migration

2013-02-16  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r795] fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: fixed support for
	  one joystick, rearranged joystick order

2013-02-12  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r794] fellow/SRC/WIN32/C/RetroPlatform.c: ability to remove assigned input device via
	  Retroplatform, fix for unused keys

2013-02-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r793] fellow/SRC/WIN32/C/RetroPlatform.c: cleanup of unnecessary code segment
	* [r792] fellow/SRC/C/GAMEPORT.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: reporting of gameport device activity to
	  RetroPlatform host

2013-02-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r791] fellow/SRC/WIN32/C/RetroPlatform.c: support for write protection of floppy disks
	  via RetroPlatform
	* [r790] fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: fixed support for
	  two joysticks (joyDrvMovementHandler), RetroPlatform enumerates joysticks with names

2013-02-04  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r789] fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: fix for custom
	  keyboard layouts while joystick is attached, autofire support for custom keyboard layouts

2013-02-02  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r788] fellow/SRC/WIN32/C/RetroPlatform.c: implemented custom keyboard layouts via
	  RetroPlatform

2013-01-21  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r787] fellow/SRC/INCLUDE/KBDDRV.H, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c: translation of symbolic escape key code when escape
	  key is configured
	* [r786] fellow/SRC/WIN32/C/KBDDRV.C: fixed translation of escape key code so that it can be
	  changed in RetroPlatform player
	* [r785] fellow/SRC/WIN32/C/GFXDRV.C: fixed message on mouse capture
	* [r784] fellow/SRC/WIN32/C/GFXDRV.C: initial capture also performed when clicking into the
	  window
	* [r783] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/KBDDRV.C: fixed capture and release
	  of mouse cursor

2013-01-18  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r782] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/JOYDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: fix for
	  crash after RP joystick detection - send joystick info after enumeration

2013-01-15  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r781] fellow/SRC/INCLUDE/MOUSEDRV.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/MOUSEDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: mouse driver now allows
	  to set focus to a determined state for use in RetroPlatform
	* [r780] fellow/SRC/C/BUS.C: fixed minor typo, so that RP frame handler is only called in RP
	  mode

2013-01-14  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r779] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: experimental
	  joystick detection, disabled focus event for now
	* [r778] fellow/SRC/WIN32/MSVC/GUI_general.rc: fixed compilation using Visual Studio Express

2013-01-13  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r777] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/JOYDRV.C,
	  fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/C/SOUNDDRV.C,
	  fellow/SRC/WIN32/CAPS/C/caps_win32.c, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: Changed to
	  build all as C++, except zlib.
	* [r776] fellow/SRC/C/BUS.C, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FMEM.C,
	  fellow/SRC/INCLUDE/BUS.H, fellow/SRC/UAE/INCLUDE/FSUSAGE.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/C/SOUNDDRV.C, fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/UAE/C/FSUSAGE.C: Added buttons for modrip and memdump in the debugger.
	  Changed step and step over logic and window size adjustments. And adaptations in directx
	  driver files to allow building in c++.

2013-01-13  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r775] fellow/SRC/WIN32/C/sysinfo.c: OS detection for Windows Vista, 7 and 8 implemented

2013-01-11  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r774] fellow/SRC/WIN32/C/RetroPlatform.c: updated joystick replacement code
	* [r773] fellow/SRC/WIN32/C/GFXDRV.C: minor fix to restore original behaviour of window
	  dragging when not operating in RetroPlatform mode
	* [r772] fellow/SRC/WIN32/CAPS/C/caps_win32.c: search for CAPS dll also in common program
	  files path
	* [r771] fellow/SRC/WIN32/MSVC/68kgenerate.vcxproj: fixed a compiler warning regarding
	  editandcontinue - disabled it
	* [r770] fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: fixed a compiler warning in debug mode due
	  to editandcontinie, disabled it

2013-01-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r769] fellow/Docs/WinFellow/Credits.txt, fellow/Docs/WinFellow/License.txt: check-in of
	  GPL and Credits
	* [r768] fellow/Docs/WinFellow/WinFellow_FAQ.txt: updated FAQ
	* [r767] fellow/doxygen/Documentation/HOWTO doxygen environment setup.md: distribution
	  switched to TeX Live, as it provides a more hazzle-free first execution and generates
	  significantly (30%) smaller output files compared to MiKTeX.

2013-01-08  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r766] fellow/SRC/C/CpuIntegration.c: Removed unused function, made setjmp buffer
	  externally visible.
	* [r765] fellow/SRC/C/BUS.C, fellow/SRC/INCLUDE/CpuIntegration.h: Call setjmp directly
	  instead of wrapping it in a function in a different file. (Compiler bug with
	  optimisation.)
	* [r764] fellow/SRC/C/CpuModule_Instructions.c: Flags for eorw and orw, calculated flags on
	  long result instead of word.

2013-01-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r763] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: - fix for escape
	  key functionality - capturing mouse still severely broken
	* [r762] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: capture mouse
	  before emulation start
	* [r761] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c:
	  setcapture/releasecapture, process further window messages
	* [r760] fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/MOUSEDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: some attempts to
	  correct RetroPlatform mouse capturing

2013-01-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r759] fellow/SRC/C/CONFIG.C, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - general
	  cleanup of log messages output in debug vs. release mode
	* [r758] fellow/SRC/WIN32/C/GFXDRV.C: - fix for sending activation event only when in RP
	  mode
	* [r757] fellow/doxygen/Build-Doxygen-Documentation.cmd, fellow/SRC/INCLUDE/MOUSEDRV.H,
	  fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c: - updates to power LED, window messages
	* [r756] fellow/SRC/WIN32/C/sysinfo.c: - fixed cosmetical output error

2013-01-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r755] fellow/SRC/WIN32/C/RetroPlatform.c: - further input device support (keyboard layout
	  1, joystick 2)
	* [r754] fellow/SRC/WIN32/C/RetroPlatform.c: - implemented 2nd joystick support
	* [r753] fellow/SRC/WIN32/C/JOYDRV.C: - included joystick product name in fellow.log to make
	  identification easier
	* [r752] fellow/SRC/WIN32/C/JOYDRV.C: - changed device category from joystick to game
	  controller to fix joystick enumeration

2013-01-06  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r751] fellow/SRC/C/CpuModule_Instructions.c, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FMEM.C,
	  fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/kbdparser.c, fellow/SRC/WIN32/C/SOUNDDRV.C,
	  fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/UAE/C/AUTOCONF.C, fellow/SRC/WIN32/UAE/C/FILESYS.C,
	  fellow/SRC/WIN32/UAE/C/FSUSAGE.C: Removed implicit casts.

2013-01-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r750] fellow/SRC/WIN32/C/fileops.c: - fix for systems without Amiga Forever installed

2013-01-05  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r749] fellow/SRC/INCLUDE/BUS.H: Changed the constant for lines in a frame.

2013-01-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r748] fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: - initial input
	  device support code
	* [r747] fellow/doxygen/Documentation/mainpage WinFellow Source Code Concepts.md,
	  fellow/SRC/C/FLOPPY.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - documentation updates, floppy drive
	  change/ejection fixed, charater string conversion, improved logging
	* [r746] fellow/SRC/C/FLOPPY.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - floppy LED status updates now sent on drive
	  motor status changes

2013-01-04  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r745] fellow/SRC/WIN32/C/RetroPlatform.c: - documentation updates
	* [r744] fellow/SRC/WIN32/C/RetroPlatform.c: - updated bug info
	* [r743] fellow/SRC/C/FLOPPY.C, fellow/SRC/INCLUDE/FLOPPY.H,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - support
	  for floppy drive seek/device activity events added
	* [r742] fellow/SRC/C/FELLOW.C: - increased maximum logfile line length to 512 (128 turned
	  out to be too small)
	* [r741] fellow/doxygen/Documentation/HOWTO doxygen environment setup.md: - fixed another
	  typo
	* [r740] fellow/doxygen/Documentation/HOWTO doxygen environment setup.md: - fixed some typos
	* [r739] fellow/doxygen/Documentation/HOWTO doxygen environment setup.md: - fixed some typos
	* [r738] fellow/SRC/WIN32/C/RetroPlatform.c: - updated todo/bug list
	* [r737] fellow/doxygen/Build-Doxygen-Documentation.cmd, fellow/doxygen/Doxyfile: - updated
	  to include markdown files from documentation directory
	* [r736] fellow/doxygen/Documentation, fellow/doxygen/Documentation/HOWTO Development
	  environment setup.md, fellow/doxygen/Documentation/HOWTO doxygen environment setup.md,
	  fellow/doxygen/Documentation/HOWTO Preparing WinFellow for a new public release.md,
	  fellow/doxygen/Documentation/mainpage WinFellow Source Code Concepts.md: - initial set of
	  documentation added to the repository
	* [r735] fellow/doxygen: - initial ignore list for doxygen files
	* [r734] fellow/SRC/WIN32/MSVC: - added pingme.txt, WinFellow.opensdf to ignore list
	* [r733] fellow/doxygen, fellow/doxygen/Build-Doxygen-Documentation.cmd,
	  fellow/doxygen/Doxyfile: - initial doxygen configuration for WinFellow

2013-01-03  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r732] fellow/SRC/WIN32/C/RetroPlatform.c: - fixed host input device enumeration end
	  message
	* [r731] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - further work on input device/mouse support
	* [r730] fellow/SRC/WIN32/C/RetroPlatform.c: - initial input device and floppy enumeration
	  support

2013-01-02  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r729] fellow/SRC/C/FLOPPY.C: - fixed deprecated call to tempnam
	* [r728] fellow/SRC/C/FELLOW.C: - only initialize RetroPlatform modules, if RetroPlatform
	  mode was detected
	* [r727] fellow/SRC/WIN32/C/WGUI.C: - fixed crash when opening configuration when no
	  resolution in requested color depth available
	* [r726] fellow/SRC/WIN32/MSVC/68kgenerate.vcxproj, fellow/SRC/WIN32/MSVC/GUI_debugger.rc,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: - fixed
	  compilation with Visual Studio Express (no MFC support), upgraded project to Visual Studio
	  2012

2012-12-30  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r725] fellow/SRC/WIN32/C/MOUSEDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: *** empty log
	  message ***
	* [r724] fellow/SRC/WIN32/C/MOUSEDRV.C: *** empty log message ***
	* [r723] fellow/SRC/WIN32/C/MOUSEDRV.C, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: *** empty
	  log message ***
	* [r722] fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - use key set in RetroPlatform module instead of
	  hardcoded ESCAPE key
	* [r721] fellow/SRC/C/BUS.C, fellow/SRC/C/CONFIG.C, fellow/SRC/C/KBD.C,
	  fellow/SRC/INCLUDE/KBD.H, fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/MOUSEDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - implemented detection of escape key pressed
	  and mouse capture/focus handling

2012-12-29  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r720] fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/MSVC/GUI_general.rc: - updated
	  version number to 0.5.0.0 and the year to -2013
	* [r719] fellow/SRC/WIN32/C/RetroPlatform.c: - fixed hard reset functionality, soft reset
	  untested
	* [r718] fellow/SRC/WIN32/C/RetroPlatform.c: - fixed power LED status after pausing/resuming
	  changes
	* [r717] fellow/SRC/INCLUDE/GFXDRV.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h, fellow/SRC/WIN32/INCLUDE/WINDRV.H: - changed the
	  way pausing and resuming works to use gfxDrvRunEventSet/Reset, event loop eliminated
	* [r716] fellow/SRC/WIN32/C/RetroPlatform.c: - further documentation update
	* [r715] fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: -
	  code cleanup and documentation
	* [r714] fellow/SRC/INCLUDE/DEFS.H: - revert revision change
	* [r713] fellow/SRC/INCLUDE/DEFS.H: - test for CVS revision
	* [r712] fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: -
	  turbo floppy mode
	* [r711] fellow/SRC/WIN32/C/RetroPlatform.c: - PowerLED intensity fix
	* [r710] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c: - disabled pause
	  functionality for the time being
	* [r709] fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: -
	  power LED intensity must be a percent value.

2012-12-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r708] fellow/SRC/WIN32/C/RetroPlatform.c: - fixed crash when closing emulator while
	  paused (hopefully)
	* [r707] fellow/SRC/WIN32/C/RetroPlatform.c: - pausing, resuming and quitting the emulation
	  now work in a stable manner
	* [r706] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h, fellow/SRC/WIN32/INCLUDE/WINDRV.H: - event
	  handling for RetroPlatform emulator control (pause, resume, quit) implemented

2012-12-27  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r705] fellow/SRC/INCLUDE/FLOPPY.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: - further work on RetroPlatform support, floppy
	  change implemented, doxygen comments added to RetroPlatform module

2012-12-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r704] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/GFXDRV.C: - emulator window now properly
	  embeds in RetroPlatform player
	  - fixed compilation error when RetroPlatform support is disabled
	* [r703] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - registration of window as a RetroPlatform
	  player child

2012-12-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r702] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - initial code for screen mode registration /
	  activation of RetroPlatform player
	* [r701] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - RetroPlatform activation IPC message handling
	* [r700] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - first steps towards activation message
	  implemented
	* [r699] fellow/SRC/WIN32/C/RetroPlatform.c: - initial registration of features implemented
	* [r698] fellow/SRC/WIN32/C/RetroPlatform.c: - ability to determine RetroPlatform host
	  version was added
	* [r697] fellow/SRC/C/FELLOW.C, fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - initial
	  IPC registration

2012-12-11  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r696] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/RetroPlatform.c,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: - now able to start emulation via AmigaForever,
	  even though no proper way to quit it exists yet

2012-12-08  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r695] fellow/SRC/C/DRAW.C, fellow/SRC/C/WAV.C, fellow/SRC/WIN32/C/FSWRAP.C: Merged
	  missing fileops fixes from build 3.

2012-12-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r694] fellow/SRC/C/CONFIG.C: fixed an endless loop when an unrecognized commandline
	  parameter was passed to the emulator

2012-12-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r693] fellow/SRC/WIN32/C/RetroPlatform.c, fellow/SRC/WIN32/INCLUDE/RetroPlatform.h: -
	  early RetroPlatform support files
	* [r692] fellow/SRC/C/BLIT.C, fellow/SRC/C/BUS.C, fellow/SRC/C/CONFIG.C,
	  fellow/SRC/C/CpuIntegration.c, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FFILESYS.C,
	  fellow/SRC/C/FLOPPY.C, fellow/SRC/C/modrip.c, fellow/SRC/WIN32/C/fileops.c,
	  fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/CAPS/C/caps_win32.c, fellow/SRC/WIN32/INCLUDE/fileops.h,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  - fileopsGetGenericFilename can now be specified as parameter, use Amiga Forever Amiga
	  Files directory instead of AppData
	  - very early RetroPlatform support work
	  - refined command line parameter parsing (new parameters, fix to no longer skip
	  parameters)
	  - example RetroPlatform debugging commandline paramters included

2012-12-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r691] fellow/SRC/C/FMEM.C: improved error handling in case the AMIGAFOREVERROOT variable
	  is not set

2012-12-04  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r690] fellow/SRC/WIN32/INCLUDE/RetroPlatformGuestIPC.h,
	  fellow/SRC/WIN32/INCLUDE/RetroPlatformIPC.h: - addition of RetroPlatform IPC support
	  modules to project
	  - new linker options SAFESEH, NXCOMPAT, DYNAMICBASE configured
	  - AmigaForever.dll key retrieval for encrypted Amiga Forever kickstart ROMs
	* [r689] fellow/SRC/C/FMEM.C, fellow/SRC/WIN32/C/RetroPlatformGuestIPC.c,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters:
	  - addition of RetroPlatform IPC support modules to project
	  - new linker options SAFESEH, NXCOMPAT, DYNAMICBASE configured
	  - AmigaForever.dll key retrieval for encrypted Amiga Forever kickstart ROMs

2012-08-12  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r688] fellow/SRC/68kgenerate/68kgenerate.c, fellow/SRC/C/BLIT.C, fellow/SRC/C/CIA.C,
	  fellow/SRC/C/CpuIntegration.c, fellow/SRC/C/CpuModule.c,
	  fellow/SRC/C/CpuModule_Exceptions.c, fellow/SRC/C/CpuModule_Instructions.c,
	  fellow/SRC/C/CpuModule_InternalState.c, fellow/SRC/C/CpuModule_Interrupts.c,
	  fellow/SRC/C/CpuModule_Logging.c, fellow/SRC/C/FLOPPY.C, fellow/SRC/INCLUDE/CpuModule.h,
	  fellow/SRC/INCLUDE/CpuModule_Code.h, fellow/SRC/INCLUDE/CpuModule_Data.h,
	  fellow/SRC/INCLUDE/CpuModule_Internal.h, fellow/SRC/INCLUDE/CpuModule_Profile.h,
	  fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/CAPS/include/caps_win32.h: Verified some timing issues. Cleaned up some
	  logging.

2012-07-30  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r687] fellow/SRC/68kgenerate/68kgenerate.c, fellow/SRC/C/CpuIntegration.c,
	  fellow/SRC/C/CpuModule.c, fellow/SRC/C/CpuModule_Instructions.c,
	  fellow/SRC/C/CpuModule_InternalState.c, fellow/SRC/INCLUDE/CpuModule_Data.h: Adjustments
	  to previous check-in.
	* [r686] fellow/SRC/INCLUDE/cpucode.h, fellow/SRC/INCLUDE/cpudata.h,
	  fellow/SRC/INCLUDE/cpudecl.h, fellow/SRC/INCLUDE/CPUDIS.H,
	  fellow/SRC/INCLUDE/cpudisfunc.h, fellow/SRC/INCLUDE/cpuprofile.h: Removed unused files.

2012-07-15  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r685] fellow/SRC/68kgenerate/68kgenerate.c, fellow/SRC/C/BUS.C,
	  fellow/SRC/C/CpuIntegration.c, fellow/SRC/C/CpuModule.c,
	  fellow/SRC/C/CpuModule_EffectiveAddress.c, fellow/SRC/C/CpuModule_Exceptions.c,
	  fellow/SRC/C/CpuModule_Instructions.c, fellow/SRC/C/CpuModule_InternalState.c,
	  fellow/SRC/C/CpuModule_Interrupts.c, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FMEM.C,
	  fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/CpuModule.h,
	  fellow/SRC/INCLUDE/CpuModule_Code.h, fellow/SRC/INCLUDE/CpuModule_Internal.h,
	  fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/UAE/INCLUDE/UAE2FELL.H: Tweaks to the main loop of
	  the emulator/cpu module and how the cpu emulation reads data.

2012-07-14  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r684] fellow/SRC/C/CIA.C, fellow/SRC/C/CpuModule_InternalState.c, fellow/SRC/C/FHFILE.C,
	  fellow/SRC/C/FMEM.C, fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/WIN32/UAE/C/AUTOCONF.C,
	  fellow/SRC/WIN32/UAE/C/EXPANSIO.C: Cleaned up memory routines after optimising.

2011-07-20  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r683] fellow/SRC/C/BUS.C, fellow/SRC/C/CpuIntegration.c,
	  fellow/SRC/C/CpuModule_Instructions.c, fellow/SRC/C/CpuModule_InternalState.c: * Reduced
	  overhead some more in bus event and cpu instruction scheduling some more.
	  * Trying out another memory ptr optimisation to reduce opcode read time. Needs more work
	  to be safe.

2011-07-19  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r682] fellow/SRC/C/BUS.C, fellow/SRC/C/CpuIntegration.c, fellow/SRC/C/CpuModule.c,
	  fellow/SRC/C/CpuModule_Instructions.c, fellow/SRC/C/CpuModule_InternalState.c,
	  fellow/SRC/INCLUDE/CpuIntegration.h, fellow/SRC/INCLUDE/CpuModule_Internal.h: Some
	  optimisations:
	  * Added cpuIntegrationExecuteInstructionEventHandler68000Fast, hardcoded for the usual
	  7Mhz scenario. Reduces overhead of instruction time calculations.
	  * Removed cpuSetCurrentOpcode call from cpuExecuteIntruction when logging isn't compiled
	  in.

2011-07-18  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r681] fellow/SRC/C/BUS.C, fellow/SRC/C/CpuIntegration.c, fellow/SRC/C/CpuModule.c,
	  fellow/SRC/C/CpuModule_Exceptions.c, fellow/SRC/C/CpuModule_Flags.c,
	  fellow/SRC/C/CpuModule_Instructions.c, fellow/SRC/C/CpuModule_InternalState.c,
	  fellow/SRC/C/CpuModule_Interrupts.c, fellow/SRC/C/CpuModule_Logging.c,
	  fellow/SRC/C/CpuModule_StackFrameGen.c, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FLOPPY.C,
	  fellow/SRC/C/FMEM.C, fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/CpuIntegration.h,
	  fellow/SRC/INCLUDE/CpuModule.h, fellow/SRC/INCLUDE/CpuModule_Internal.h,
	  fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/WIN32/C/sysinfo.c: Some optimizations:
	  * bus and CPU module: bus event and cpu instruction logging moved into #ifdefs. Removes
	  dummy calls to logging functions found in the main bus loop, and the cpu instruction
	  execution entry point and from irq and exception processing.
	  * CPU module: CPU flag calculations rewritten for speed.
	  * fmem.c: Re-introduced an old optimisation in a more general form, using memory pointers
	  to read values from memory that is real memory.
	  * floppy.c: Was doing some minor logging of head positions. Commented it out.
	  * bus.c and cpuIntegration.c: Some other tweaks to the bus event loop and cpu execution
	  loop to make sure no unnecessary code was run inside the loops.
	  
	  sysinfo:
	  Using ...Ex method to read memory size larger than 4GB.

2010-10-18  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r680] fellow/SRC/68kgenerate/68kgenerate.c, fellow/SRC/C/CpuIntegration.c,
	  fellow/SRC/C/CpuModule.c, fellow/SRC/INCLUDE/CpuModule_Code.h: 68kgenerate.c: Wrong
	  parameter for MOVES.
	  CpuIntegration.c: Replaced ULO with enum
	  CpuModule.c: Clear irq event on reset.
	  CpuModule_Code.h: Regenerated file to include MOVES fix.

2010-06-20  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r679] fellow/SRC/C/DRAW.C: Fix deinterlace crash. Disable other scaling strategies when
	  de-interlacing.
	* [r678] fellow/SRC/WIN32/MSVC/68kgenerate.vcxproj, fellow/SRC/WIN32/MSVC/Property
	  Sheets/Microsoft DirectX SDK (February 2010).props,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj: Moved SDK include and lib directory definitions
	  to the SDK property sheet, removed many hardcoded directories and some other options from
	  specific configurations in the WinFellow project file. Trying to rely on inheritance and
	  macros.
	* [r677] fellow/SRC/WIN32/C/GFXDRV.C: Turn off stretch always, it should not be checked in
	  as TRUE.

2010-06-14  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r676] fellow/SRC/WIN32/MSVC, fellow/SRC/WIN32/MSVC/68kgenerate.vcxproj,
	  fellow/SRC/WIN32/MSVC/68kgenerate.vcxproj.filters, fellow/SRC/WIN32/MSVC/Property Sheets,
	  fellow/SRC/WIN32/MSVC/Property Sheets/Microsoft DirectX SDK (February 2010).props,
	  fellow/SRC/WIN32/MSVC/WinFellow.sln, fellow/SRC/WIN32/MSVC/WinFellow.vcxproj,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcxproj.filters: added Visual Studio 2010 project files

2009-07-26  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r675] fellow/SRC/68kgenerate/68kgenerate.c, fellow/SRC/C/BUS.C, fellow/SRC/C/COPPER.C,
	  fellow/SRC/C/CpuModule_Disassembler.c, fellow/SRC/C/CpuModule_Instructions.c,
	  fellow/SRC/C/DRAW.C, fellow/SRC/C/FELLOW.C, fellow/SRC/C/GRAPH.C, fellow/SRC/C/SOUND.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/CpuModule_Code.h,
	  fellow/SRC/INCLUDE/CpuModule_Data.h, fellow/SRC/INCLUDE/CpuModule_Decl.h,
	  fellow/SRC/INCLUDE/CpuModule_Disassembler.h,
	  fellow/SRC/INCLUDE/CpuModule_DisassemblerFunc.h, fellow/SRC/INCLUDE/CpuModule_Profile.h,
	  fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/WinFellow.vcproj: x64 type patches, +
	  some other tweaks in draw.c

2009-07-25  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r674] fellow/SRC/C/BLIT.C, fellow/SRC/C/cpufunc.c, fellow/SRC/C/CpuModule_Instructions.c,
	  fellow/SRC/C/LISTTREE.C, fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/SOUNDDRV.C, fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/TIMER.C,
	  fellow/SRC/WIN32/C/WINMAIN.C: Merged some minor changes. (Declarations etc.)
	* [r673] fellow/SRC/68kgenerate/68000.txt, fellow/SRC/68kgenerate/68kgenerate.c,
	  fellow/SRC/C/CpuModule_EffectiveAddress.c, fellow/SRC/C/CpuModule_Exceptions.c,
	  fellow/SRC/C/CpuModule_Flags.c, fellow/SRC/C/CpuModule_Instructions.c,
	  fellow/SRC/C/CpuModule_InternalState.c, fellow/SRC/C/CpuModule_Interrupts.c,
	  fellow/SRC/C/CpuModule_StackFrameGen.c, fellow/SRC/INCLUDE/cpucode.h,
	  fellow/SRC/INCLUDE/cpudata.h, fellow/SRC/INCLUDE/cpudecl.h,
	  fellow/SRC/INCLUDE/cpudisfunc.h, fellow/SRC/INCLUDE/CpuModule_Internal.h,
	  fellow/SRC/WIN32/C/GFXDRV.C: Chk, stack frames, rotate flags and a missing byte adressing
	  mode for move.
	* [r672] fellow/SRC/C/BLIT.C, fellow/SRC/C/BUS.C, fellow/SRC/C/CIA.C, fellow/SRC/C/CONFIG.C,
	  fellow/SRC/C/COPPER.C, fellow/SRC/C/CPU.C, fellow/SRC/C/CPUDIS.C,
	  fellow/SRC/C/CpuIntegration.c, fellow/SRC/C/CpuModule.c,
	  fellow/SRC/C/CpuModule_Disassembler.c, fellow/SRC/C/CpuModule_EffectiveAddress.c,
	  fellow/SRC/C/CpuModule_Exceptions.c, fellow/SRC/C/CpuModule_Flags.c,
	  fellow/SRC/C/CpuModule_Instructions.c, fellow/SRC/C/CpuModule_InternalState.c,
	  fellow/SRC/C/CpuModule_Interrupts.c, fellow/SRC/C/CpuModule_Logging.c,
	  fellow/SRC/C/CpuModule_StackFrameGen.c, fellow/SRC/C/DRAW.C, fellow/SRC/C/FELLOW.C,
	  fellow/SRC/C/FFILESYS.C, fellow/SRC/C/FHFILE.C, fellow/SRC/C/FLOPPY.C,
	  fellow/SRC/C/FMEM.C, fellow/SRC/C/FSNAVIG.C, fellow/SRC/C/GAMEPORT.C,
	  fellow/SRC/C/GRAPH.C, fellow/SRC/C/KBD.C, fellow/SRC/C/LISTTREE.C, fellow/SRC/C/modrip.c,
	  fellow/SRC/C/SOUND.C, fellow/SRC/C/SPRITE.C, fellow/SRC/C/WAV.C, fellow/SRC/C/zlibwrap.c,
	  fellow/SRC/INCLUDE/BLIT.H, fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/CIA.H,
	  fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/INCLUDE/COPPER.H, fellow/SRC/INCLUDE/CPU.H,
	  fellow/SRC/INCLUDE/cpuemu.h, fellow/SRC/INCLUDE/CpuIntegration.h,
	  fellow/SRC/INCLUDE/CpuModule.h, fellow/SRC/INCLUDE/CpuModule_Internal.h,
	  fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/INCLUDE/Ini.h,
	  fellow/SRC/INCLUDE/KBDDRV.H, fellow/SRC/INCLUDE/WGUI.H, fellow/SRC/UAE/INCLUDE/UAE2FELL.H,
	  fellow/SRC/WIN32/C/commoncontrol_wrap.c, fellow/SRC/WIN32/C/fsysamnt.c,
	  fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/CAPS/C/caps_win32.c, fellow/SRC/WIN32/MSVC/68kgenerate.vcproj,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/MSVC/WinFellow.sln, fellow/SRC/WIN32/MSVC/WinFellow.vcproj: Refactored
	  the cpu-emu files.

2008-11-03  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r671] fellow/SRC/68kgenerate/68000.txt, fellow/SRC/68kgenerate/68kgenerate.c,
	  fellow/SRC/C/BLIT.C, fellow/SRC/C/BUS.C, fellow/SRC/C/COPPER.C, fellow/SRC/C/cpufunc.c,
	  fellow/SRC/C/DRAW.C, fellow/SRC/C/FLOPPY.C, fellow/SRC/C/FMEM.C, fellow/SRC/C/GRAPH.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/cpudata.h,
	  fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/FMEM.H,
	  fellow/SRC/INCLUDE/GRAPH.H, fellow/SRC/INCLUDE/SPRITE.H, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/MSVC/WinFellow.sln, fellow/SRC/WIN32/MSVC/WinFellow.vcproj: Various
	  cleanup.

2008-02-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r670] fellow/SRC/WIN32/MSVC: ignore local performance session information

2008-02-27  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r669] fellow/SRC/C/FLOPPY.C: * Added missing test on adcon's WORDSYNC bit.
	  * dskbytr experiment.
	* [r668] fellow/SRC/C/FMEM.C: Added missing io handlers for adcon.
	* [r667] fellow/SRC/C/BLIT.C: Fix TEK Rampage: Clear blitter irq bit in intreq when starting
	  a blit.

2008-02-24  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r666] fellow/SRC/68kgenerate/68kgenerate.c, fellow/SRC/C/BLIT.C, fellow/SRC/C/CPU.C,
	  fellow/SRC/C/cpufunc.c, fellow/SRC/INCLUDE/CPU.H, fellow/SRC/INCLUDE/cpucode.h: * Added
	  cpu_chip_slowdown.
	  * Using cpuSetReg()/cpuGetReg() functions everywhere.
	  * Small optimization of cpu flag access functions.

2008-02-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r665] fellow/SRC/C/CONFIG.C: activate malloc debugging
	* [r664] fellow/SRC/C/FLOPPY.C: activate malloc debugging
	* [r663] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/INCLUDE/WDBG.H: fixed compiler warnings

2008-02-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r662] fellow/SRC/C/FLOPPY.C: write floppy.log to %appdata%\WinFellow, activate logging
	  only for debug builds
	* [r661] fellow/SRC/WIN32/INCLUDE/sysinfo.h: fixed compiler warnings by properly declaring
	  interfaces to sysinfoDetectMMX() and sysinfoDetectSSE() in header

2008-02-21  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r660] fellow/SRC/WIN32/MSVC/GUI_general.rc: Use rom as label.
	* [r659] fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/C/commoncontrol_wrap.c,
	  fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/C/FSWRAP.C, fellow/SRC/WIN32/C/fsysamnt.c,
	  fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/JOYDRV.C,
	  fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/kbdparser.c,
	  fellow/SRC/WIN32/C/modrip_win32.c, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/C/SOUNDDRV.C, fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/TIMER.C,
	  fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/CAPS/C/caps_win32.c, fellow/SRC/WIN32/CAPS/include/caps_win32.h,
	  fellow/SRC/WIN32/INCLUDE/fileops.h, fellow/SRC/WIN32/INCLUDE/modrip_win32.h,
	  fellow/SRC/WIN32/INCLUDE/sysinfo.h, fellow/SRC/WIN32/INCLUDE/WDBG.H,
	  fellow/SRC/WIN32/UAE/C/UAESUPP.C: Updated file header.
	* [r658] fellow/SRC/INCLUDE/cpucode.h, fellow/SRC/INCLUDE/DEFS.H,
	  fellow/SRC/INCLUDE/FLOPPY.H, fellow/SRC/INCLUDE/modrip.h, fellow/SRC/INCLUDE/SOUND.H,
	  fellow/SRC/INCLUDE/zlibwrap.h: Updated file headers.

2008-02-20  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r657] fellow/SRC/C/cpufunc.c: MOVEM: index register content on stack.
	  Division by zero: Point to after the DIV instruction. (Alcatraz Odyssey)
	  Exception stack frames, frame format and offset fixed.
	* [r656] fellow/SRC/C/BUS.C, fellow/SRC/C/CIA.C, fellow/SRC/C/CONFIG.C,
	  fellow/SRC/C/COPPER.C, fellow/SRC/C/CPU.C, fellow/SRC/C/CPUDIS.C, fellow/SRC/C/DRAW.C,
	  fellow/SRC/C/FELLOW.C, fellow/SRC/C/FFILESYS.C, fellow/SRC/C/FHFILE.C,
	  fellow/SRC/C/FLOPPY.C, fellow/SRC/C/FMEM.C, fellow/SRC/C/FSNAVIG.C,
	  fellow/SRC/C/GAMEPORT.C, fellow/SRC/C/GRAPH.C, fellow/SRC/C/KBD.C,
	  fellow/SRC/C/LISTTREE.C, fellow/SRC/C/modrip.c, fellow/SRC/C/SOUND.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/C/WAV.C, fellow/SRC/C/zlibwrap.c: Updated headers.
	* [r655] fellow/SRC/68kgenerate/68kgenerate.c: ADDX,ABCD fix.
	* [r654] fellow/SRC/C/BLIT.C: Tweaked blitter timing. (Global trash). Added GPL header and
	  version string.

2008-02-18  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r653] fellow/SRC/C/BLIT.C: Deform Deformations blitter shift bug.

2008-02-17  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r652] fellow/SRC/C/DRAW.C, fellow/SRC/C/SPRITE.C, fellow/SRC/WIN32/C/GFXDRV.C: Scaling
	  calculations caused drawing one line beyond buffer, and removed 64-bit warnings in
	  sprite.c.

2008-02-17  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r651] fellow/SRC/WIN32/INCLUDE/fileops.h: fix spelling
	* [r650] fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio 2008.sln,
	  fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio 2008.vcproj: *** empty log message ***

2008-02-17  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r649] fellow/SRC/WIN32/MSVC/68kgenerate.vcproj, fellow/SRC/WIN32/MSVC/WinFellow.sln,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcproj: Cleanup.
	* [r648] fellow/readme.txt, fellow/SRC/68kgenerate, fellow/SRC/68kgenerate/68000.txt,
	  fellow/SRC/68kgenerate/68kgenerate.c, fellow/SRC/ASM/BLITA.S, fellow/SRC/ASM/BUSA.S,
	  fellow/SRC/ASM/CIAA.S, fellow/SRC/ASM/COPPERA.S, fellow/SRC/ASM/CPUA.S,
	  fellow/SRC/ASM/DRAWA.S, fellow/SRC/ASM/FHFILEA.S, fellow/SRC/ASM/FMEMA.S,
	  fellow/SRC/ASM/GRAPHA.S, fellow/SRC/ASM/MMX.S, fellow/SRC/ASM/SOUNDA.S,
	  fellow/SRC/ASM/SPRITEA.S, fellow/SRC/ASM/Sse.s, fellow/SRC/C/BLIT.C, fellow/SRC/C/BUS.C,
	  fellow/SRC/C/CIA.C, fellow/SRC/C/CONFIG.C, fellow/SRC/C/COPPER.C, fellow/SRC/C/CPU.C,
	  fellow/SRC/C/CPUDIS.C, fellow/SRC/C/cpufunc.c, fellow/SRC/C/DRAW.C, fellow/SRC/C/FELLOW.C,
	  fellow/SRC/C/FFILESYS.C, fellow/SRC/C/FHFILE.C, fellow/SRC/C/FLOPPY.C,
	  fellow/SRC/C/FMEM.C, fellow/SRC/C/GAMEPORT.C, fellow/SRC/C/GRAPH.C, fellow/SRC/C/KBD.C,
	  fellow/SRC/C/LISTTREE.C, fellow/SRC/C/modrip.c, fellow/SRC/C/SOUND.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/C/WAV.C, fellow/SRC/C/zlibwrap.c, fellow/SRC/INCASM,
	  fellow/SRC/INCLUDE/BLIT.H, fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/CIA.H,
	  fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/INCLUDE/COPPER.H, fellow/SRC/INCLUDE/CPU.H,
	  fellow/SRC/INCLUDE/cpucode.h, fellow/SRC/INCLUDE/cpudata.h, fellow/SRC/INCLUDE/cpudecl.h,
	  fellow/SRC/INCLUDE/CPUDIS.H, fellow/SRC/INCLUDE/cpudisfunc.h, fellow/SRC/INCLUDE/cpuemu.h,
	  fellow/SRC/INCLUDE/cpuprofile.h, fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/INCLUDE/FHFILE.H, fellow/SRC/INCLUDE/FLOPPY.H,
	  fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/INCLUDE/GAMEPORT.H, fellow/SRC/INCLUDE/GFXDRV.H,
	  fellow/SRC/INCLUDE/GRAPH.H, fellow/SRC/INCLUDE/GRAPHM.H, fellow/SRC/INCLUDE/KBD.H,
	  fellow/SRC/INCLUDE/LISTTREE.H, fellow/SRC/INCLUDE/MEMORYA.H, fellow/SRC/INCLUDE/MMX.H,
	  fellow/SRC/INCLUDE/modrip.h, fellow/SRC/INCLUDE/SOUND.H, fellow/SRC/INCLUDE/SPRITE.H,
	  fellow/SRC/INCLUDE/SSE.H, fellow/SRC/LINUX/INCASM, fellow/SRC/LINUX/INCLUDE,
	  fellow/SRC/UAE/ASM, fellow/SRC/UAE/INCASM, fellow/SRC/UAE/INCLUDE/AUTOCONF.H,
	  fellow/SRC/UAE/INCLUDE/filesys_win32.h, fellow/SRC/UAE/INCLUDE/fsdb.h,
	  fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/C/commoncontrol_wrap.c,
	  fellow/SRC/WIN32/C/fsysamnt.c, fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/Ini.c,
	  fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/kbdparser.c, fellow/SRC/WIN32/C/sysinfo.c,
	  fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/C/window.c,
	  fellow/SRC/WIN32/C/WINMAIN.C, fellow/SRC/WIN32/icons/arrow.bmp, fellow/SRC/WIN32/INCASM,
	  fellow/SRC/WIN32/INCLUDE/commoncontrol_wrap.h, fellow/SRC/WIN32/INCLUDE/GCC/RENAMING.H,
	  fellow/SRC/WIN32/INCLUDE/MSVC/PORTABLE.H, fellow/SRC/WIN32/INCLUDE/MSVC/RENAMING.H,
	  fellow/SRC/WIN32/INCLUDE/window.h, fellow/SRC/WIN32/MSVC/68kgenerate.vcproj,
	  fellow/SRC/WIN32/MSVC/gui_debugger.h, fellow/SRC/WIN32/MSVC/GUI_debugger.rc,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/MSVC/WinFellow.dsp, fellow/SRC/WIN32/MSVC/WinFellow.sln,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcproj, fellow/SRC/WIN32/MSVC/winfellow_logo_small.bmp,
	  fellow/SRC/WIN32/UAE/C/AUTOCONF.C, fellow/SRC/WIN32/UAE/C/EXPANSIO.C,
	  fellow/SRC/WIN32/UAE/C/FILESYS.C, fellow/SRC/WIN32/UAE/C/fsdb_win32.c,
	  fellow/SRC/WIN32/UAE/C/UAESUPP.C: Merge from conversion_to_c.

2008-02-12  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r641] fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio
	  2008.sln, fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio 2008.vcproj: remove DirectX3
	  configuration

2008-02-10  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r634] fellow/SRC/C/BLIT.C, fellow/SRC/C/DRAW.C, fellow/SRC/C/modrip.c,
	  fellow/SRC/WIN32/MSVC: Windows filesystem operations
	* [r633] fellow/SRC/WIN32/CAPS/C/caps_win32.c, fellow/SRC/WIN32/MSVC: Windows filesystem
	  operations
	* [r632] fellow/SRC/C/FELLOW.C, fellow/SRC/C/FFILESYS.C, fellow/SRC/WIN32/C/fileops.c,
	  fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/INCLUDE/fileops.h:
	  Windows filesystem operations
	* [r631] fellow/SRC/WIN32/C/fileops.c, fellow/SRC/WIN32/INCLUDE/fileops.h: Windows
	  filesystem operations
	* [r630] fellow/SRC/C/FELLOW.C: Windows filesystem operations

2008-02-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r629] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/C/fileops.c,
	  fellow/SRC/WIN32/INCLUDE/fileops.h, fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio
	  2008.vcproj: Windows filesystem operations
	* [r628] fellow/SRC/WIN32/C/JOYDRV.C: fix for November 2007 DirectX SDK

2008-02-03  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r624] fellow/SRC/WIN32/C/JOYDRV.C: fix for November 2007 DirectX SDK
	* [r622] fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/INCLUDE/dxver.h: fix for November 2007 DirectX SDK
	* [r621] fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio 2008.vcproj: fix project setup for
	  November 2007 DirectX SDK

2008-02-01  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r617] fellow/SRC/WIN32/MSVC, fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio 2008.sln,
	  fellow/SRC/WIN32/MSVC/WinFellow - Visual Studio 2008.vcproj: Visual Studio 2008 project
	  setup (nasm2)

2004-07-19  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r543] fellow/SRC/WIN32/MSVC: *** empty log message ***

2004-07-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r538] fellow/SRC/WIN32/MSVC: DirectX 3 builds added to the ignore list

2004-06-13  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r532] fellow/SRC/WIN32/C/WINMAIN.C: Commit of Torsten on 2004-06-13
	  
	  winmain.c
	  
	  * removed deactivated pragma that disabled global optimizations

2004-06-12  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r531] fellow/SRC/C/FELLOW.C, fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: Commit of
	  Torsten on 2004-06-12
	  
	  fellow.c/h
	  
	  - new function fellowGetVersionString()
	  
	  gfxdrv.c
	  
	  - emulator window now shows the build date in the title bar
	  
	  wgui.c
	  
	  - the main emulator window shows the build date in the title bar
	  
	  sysinfo.c
	  
	  - build date is also written into the logfile
	  
	  GUI_general.rc/h
	  
	  - renamed a static item in the "about" dialog to make the text changeable

2004-06-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r529] fellow/SRC/WIN32/MSVC/GUI_general.rc, fellow/SRC/WIN32/MSVC/WinFellow.vcproj:
	  updated version information
	* [r528] fellow/SRC/WIN32/MSVC/WinFellow.vcproj: optimized some settings
	* [r527] fellow/SRC/WIN32/C/WINMAIN.C: Commit of Torsten on 2004-06-09
	  
	  winmain.c
	  
	  - reactivated optimization for winDrvEmulate()
	* [r525] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/SOUNDDRV.C,
	  fellow/SRC/WIN32/C/WINMAIN.C: Commit of Torsten on 2004-06-08
	  
	  - winDrvSetThreadName() functionality added

2004-06-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r524] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/SOUNDDRV.C,
	  fellow/SRC/WIN32/C/WINMAIN.C: Commit of Torsten on 2004-06-08
	  
	  - winDrvSetThreadName() functionality added
	* [r523] fellow/SRC/WIN32/C/WINMAIN.C: Commit of Torsten on 2004-06-08
	  
	  winmain.c/windrv.h
	  
	  - winDrvSetThreadName() added
	  
	  sounddrv.c
	  
	  - now sets the thread name to "WinFellow Sound Thread"; it's the only thread though right
	  now that uses it
	* [r522] fellow/SRC/WIN32/C/SOUNDDRV.C, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/INCLUDE/WINDRV.H: Commit of Torsten on 2004-06-08
	  
	  winmain.c/windrv.h
	  
	  - winDrvSetThreadName() added
	  
	  sounddrv.c
	  
	  - now sets the thread name to "WinFellow Sound Thread"; it's the only thread though right
	  now that uses it
	* [r521] fellow/SRC/WIN32/MSVC: minor updates
	* [r520] fellow/SRC/C/FELLOW.C, fellow/SRC/WIN32/INCLUDE/sysinfo.h,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcproj: minor updates
	* [r519] fellow/SRC/C/BUS.C, fellow/SRC/C/FELLOW.C, fellow/SRC/C/SOUND.C,
	  fellow/SRC/INCLUDE/SOUND.H: minor updates of headers
	* [r517] fellow/SRC/C/FHFILE.C, fellow/SRC/C/modrip.c, fellow/SRC/INCLUDE/modrip.h,
	  fellow/SRC/UAE/INCLUDE/filesys_win32.h, fellow/SRC/WIN32/C/FSWRAP.C,
	  fellow/SRC/WIN32/INCLUDE/WDBG.H, fellow/SRC/WIN32/UAE/C/filesys_win32.c: minor updates of
	  headers
	* [r516] fellow/SRC/WIN32/C/fsysamnt.c, fellow/SRC/WIN32/C/modrip_win32.c,
	  fellow/SRC/WIN32/CAPS/C/caps_win32.c, fellow/SRC/WIN32/CAPS/include/caps_win32.h,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h: minor updates of headers
	* [r515] fellow/SRC/WIN32/MSVC/GUI_general.rc, fellow/SRC/WIN32/MSVC/WinFellow.exe.manifest:
	  Commit of Torsten on 2004-06-08
	  
	  Added files:
	  
	  WinFellow.exe.manifest
	  
	  - XML manifest file added for multiple instances of ComCtl32.dll
	  
	  Modified files:
	  
	  GUI_general.rc
	  
	  - added a link to the XML manifest file
	* [r513] fellow/SRC/C/CONFIG.C, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FHFILE.C,
	  fellow/SRC/C/FLOPPY.C, fellow/SRC/C/zlibwrap.c, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/INCLUDE/FLOPPY.H, fellow/SRC/INCLUDE/Ini.h,
	  fellow/SRC/INCLUDE/JOYDRV.H, fellow/SRC/INCLUDE/KBD.H, fellow/SRC/INCLUDE/KBDDRV.H,
	  fellow/SRC/INCLUDE/MOUSEDRV.H, fellow/SRC/INCLUDE/SOUND.H, fellow/SRC/INCLUDE/SOUNDDRV.H,
	  fellow/SRC/INCLUDE/WGUI.H, fellow/SRC/INCLUDE/zlibwrap.h,
	  fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/C/fsysamnt.c,
	  fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/kbdparser.c, fellow/SRC/WIN32/C/MOUSEDRV.C,
	  fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/C/WINMAIN.C, fellow/SRC/WIN32/INCLUDE/commoncontrol_wrap.h,
	  fellow/SRC/WIN32/INCLUDE/WINDRV.H, fellow/SRC/WIN32/MSVC/GUI_debugger.rc,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: sync'ing
	  changes between branches
	* [r512] fellow/lib, fellow/lib/win32, fellow/lib/win32/msvc, fellow/lib/win32/msvc/caps,
	  fellow/lib/win32/msvc/caps/CAPSImg.lib, fellow/lib/win32/msvc/caps/license.txt,
	  fellow/SRC/WIN32/CAPS, fellow/SRC/WIN32/CAPS/C, fellow/SRC/WIN32/CAPS/C/caps_win32.c,
	  fellow/SRC/WIN32/CAPS/include, fellow/SRC/WIN32/CAPS/include/caps_win32.h,
	  fellow/SRC/WIN32/CAPS/include/CapsAPI.h, fellow/SRC/WIN32/CAPS/include/CapsLib.h,
	  fellow/SRC/WIN32/CAPS/include/Comlib.h, fellow/SRC/WIN32/CAPS/include/Comtype.h,
	  fellow/SRC/WIN32/MSVC/WinFellow.dsp, fellow/SRC/WIN32/MSVC/WinFellow.vcproj,
	  fellow/SRC/zlib/include/crc32.h, fellow/SRC/zlib/include/inflate.h,
	  fellow/SRC/zlib/README: sync'ing changes between branches
	* [r511] fellow/SRC/zlib/C/adler32.c, fellow/SRC/zlib/C/compress.c,
	  fellow/SRC/zlib/C/crc32.c, fellow/SRC/zlib/C/deflate.c, fellow/SRC/zlib/C/gzio.c,
	  fellow/SRC/zlib/C/infblock.c, fellow/SRC/zlib/C/infcodes.c, fellow/SRC/zlib/C/inffast.c,
	  fellow/SRC/zlib/C/inflate.c, fellow/SRC/zlib/C/inftrees.c, fellow/SRC/zlib/C/infutil.c,
	  fellow/SRC/zlib/C/trees.c, fellow/SRC/zlib/C/uncompr.c, fellow/SRC/zlib/C/zutil.c,
	  fellow/SRC/zlib/include/deflate.h, fellow/SRC/zlib/include/infblock.h,
	  fellow/SRC/zlib/include/infcodes.h, fellow/SRC/zlib/include/inffast.h,
	  fellow/SRC/zlib/include/inffixed.h, fellow/SRC/zlib/include/inftrees.h,
	  fellow/SRC/zlib/include/infutil.h, fellow/SRC/zlib/include/zconf.h,
	  fellow/SRC/zlib/include/zlib.h, fellow/SRC/zlib/include/zutil.h: sync'ing changes between
	  branches
	* [r510] fellow/SRC/WIN32/MSVC: .cvsignore added to suppress CVS warnings when working with
	  the compiler in the CVS folder structure

2004-06-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r495] fellow/SRC/ASM/amiga, fellow/SRC/ASM/amiga/fhfile.s,
	  fellow/SRC/ASM/amiga/fhtrans.c: re-added due to case sensitivity problems
	* [r494] fellow/src: cleaning up

2004-05-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r474] fellow/SRC/C/FLOPPY.C: Commit of Torsten on 2004-05-28
	  
	  floppy.c
	  
	  - fixed several memory leaks
	* [r472] fellow/SRC/WIN32/UAE/C/FILESYS.C: Commit of Torsten on 2004-05-28
	  
	  filesys.c
	  
	  - fixed another memory leak, this time in filesys_reset()
	* [r471] fellow/SRC/WIN32/UAE/C/FILESYS.C: Commit of Torsten on 204-05-28
	  
	  filesys.c
	  
	  - fixed several memory leaks; however I'm still not finished, the code still leaks volume
	  names somewhere
	  on each reset
	* [r470] fellow/SRC/WIN32/UAE/C/FILESYS.C: Commit of Torsten on 204-05-28
	  
	  filesys.c
	  
	  - fixed several memory leaks; however I'm still not finished, the code still leaks volume
	  names somewhere
	  on each reset
	* [r469] fellow/SRC/C/FFILESYS.C, fellow/SRC/UAE/INCLUDE/fsdb.h: Commit of Torsten on
	  2004-05-28
	  
	  filesys.c
	  
	  - build_nname() replaced by a small "hack" in malloc() debug mode for better debugging
	  
	  fsdb.h
	  
	  - necessary defines/exports for the build_nname "hack"
	  
	  ffilesys.c
	  
	  - memory leaks on WinFellow side fixed
	  
	  fsdb.c
	  
	  - memory leak fixed
	* [r468] fellow/SRC/WIN32/UAE/C/FILESYS.C, fellow/SRC/WIN32/UAE/C/fsdb.c: Commit of Torsten
	  on 2004-05-28
	  
	  uaesupp.c
	  
	  - removed my implementation of my_strdup(); it improved the malloc() debugging in so far
	  that I could
	  see the strings were allocated by use of my_strdup(), but not where in the code, since it
	  always
	  showed me the line in my_strdup() that contained the malloc() call, which wasn't helpful
	  
	  uae2fell.h
	  
	  - this macro does the trick: #define my_strdup(a) strcpy(malloc(strlen(a)+1), a)
	  since it can be used inline the debugger now shows the exact line where those strings were
	  allocated,
	  not the best coding style, which is why I online use it when _FELLOW_DEBUG_CRT_MALLOC is
	  set,
	  otherwise the standard CRT strdup is used
	* [r467] fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/UAE/C/UAESUPP.C: Commit of
	  Torsten on 2004-05-28
	  
	  uaesupp.c
	  
	  - removed my implementation of my_strdup(); it improved the malloc() debugging in so far
	  that I could
	  see the strings were allocated by use of my_strdup(), but not where in the code, since it
	  always
	  showed me the line in my_strdup() that contained the malloc() call, which wasn't helpful
	  
	  uae2fell.h
	  
	  - this macro does the trick: #define my_strdup(a) strcpy(malloc(strlen(a)+1), a)
	  since it can be used inline the debugger now shows the exact line where those strings were
	  allocated,
	  not the best coding style, which is why I online use it when _FELLOW_DEBUG_CRT_MALLOC is
	  set,
	  otherwise the standard CRT strdup is used

2004-05-27  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r466] fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/UAE/C/UAESUPP.C: Commit of
	  Torsten on 2004-05-27
	  
	  uaesupp.c
	  
	  - my_strdup() implemented
	  
	  uae2fell.h
	  
	  - removed #defines for my_strdup
	* [r465] fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/UAE/C/UAESUPP.C: Commit of
	  Torsten on 2004-05-27
	  
	  uaesupp.c
	  
	  - my_strdup() implemented
	  
	  uae2fell.h
	  
	  - removed #defines for my_strdup
	* [r461] fellow/SRC/C/modrip.c, fellow/SRC/C/zlibwrap.c, fellow/SRC/INCLUDE/KBDDRV.H,
	  fellow/SRC/INCLUDE/modrip.h, fellow/SRC/INCLUDE/zlibwrap.h,
	  fellow/SRC/UAE/INCLUDE/AUTOCONF.H, fellow/SRC/UAE/INCLUDE/EXECLIB.H,
	  fellow/SRC/UAE/INCLUDE/FILESYS.H, fellow/SRC/UAE/INCLUDE/filesys_win32.h,
	  fellow/SRC/UAE/INCLUDE/fsdb.h, fellow/SRC/UAE/INCLUDE/FSUSAGE.H,
	  fellow/SRC/UAE/INCLUDE/PENGUIN.H, fellow/SRC/UAE/INCLUDE/UAE2FELL.H,
	  fellow/SRC/WIN32/C/FSWRAP.C, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/modrip_win32.c, fellow/SRC/WIN32/C/sysinfo.c,
	  fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h, fellow/SRC/WIN32/INCLUDE/WDBG.H,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/UAE/C/AUTOCONF.C, fellow/SRC/WIN32/UAE/C/EXPANSIO.C,
	  fellow/SRC/WIN32/UAE/C/FILESYS.C, fellow/SRC/WIN32/UAE/C/filesys_win32.c,
	  fellow/SRC/WIN32/UAE/C/fsdb.c, fellow/SRC/WIN32/UAE/C/fsdb_win32.c,
	  fellow/SRC/WIN32/UAE/C/FSUSAGE.C, fellow/SRC/WIN32/UAE/C/HARDFILE.C,
	  fellow/SRC/WIN32/UAE/C/UAESUPP.C, fellow/SRC/xdms/C/pfile.c, fellow/SRC/xdms/C/xdms.c,
	  fellow/SRC/zlib/include/zutil.h: commit of Torsten on 2004-05-27
	  
	  files brought up-to-date with conversion_to_c branch
	* [r446] fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/WIN32/MSVC/GUI_general.rc: commit of Torsten
	  on 2004-05-27
	  
	  GUI_general.rc, defs.h
	  
	  - version information updated to show that this is the assembler branch
	* [r445] fellow/SRC/C/CONFIG.C, fellow/SRC/C/FELLOW.C, fellow/SRC/C/FFILESYS.C,
	  fellow/SRC/C/FLOPPY.C, fellow/SRC/C/FSNAVIG.C, fellow/SRC/C/KBD.C, fellow/SRC/C/modrip.c,
	  fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/INCLUDE/FSNAVIG.H, fellow/SRC/INCLUDE/Ini.h,
	  fellow/SRC/INCLUDE/modrip.h, fellow/SRC/INCLUDE/WGUI.H, fellow/SRC/UAE/INCLUDE/AUTOCONF.H,
	  fellow/SRC/UAE/INCLUDE/EXECLIB.H, fellow/SRC/UAE/INCLUDE/FILESYS.H,
	  fellow/SRC/UAE/INCLUDE/filesys_win32.h, fellow/SRC/UAE/INCLUDE/fsdb.h,
	  fellow/SRC/UAE/INCLUDE/FSUSAGE.H, fellow/SRC/UAE/INCLUDE/PENGUIN.H,
	  fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/C/FSWRAP.C,
	  fellow/SRC/WIN32/C/fsysamnt.c, fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/Ini.c,
	  fellow/SRC/WIN32/C/modrip_win32.c, fellow/SRC/WIN32/C/SOUNDDRV.C,
	  fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h, fellow/SRC/WIN32/INCLUDE/MSVC/PORTABLE.H,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc, fellow/SRC/WIN32/MSVC/WinFellow.dsp,
	  fellow/SRC/WIN32/MSVC/WinFellow.vcproj, fellow/SRC/WIN32/UAE/C/AUTOCONF.C,
	  fellow/SRC/WIN32/UAE/C/EXPANSIO.C, fellow/SRC/WIN32/UAE/C/FILESYS.C,
	  fellow/SRC/WIN32/UAE/C/filesys_win32.c, fellow/SRC/WIN32/UAE/C/fsdb.c,
	  fellow/SRC/WIN32/UAE/C/fsdb_win32.c, fellow/SRC/WIN32/UAE/C/FSUSAGE.C,
	  fellow/SRC/WIN32/UAE/C/HARDFILE.C, fellow/SRC/WIN32/UAE/C/UAESUPP.C: commit of Torsten on
	  2004-05-27
	  
	  config.c, fellow.c, ffilesys.c, floppy.c, fsnavig.c, kbd.c, modrip.c
	  
	  - portable C files brought up-to-date with conversion_to_c branch
	  
	  
	  defs.h, fsnavig.h, ini.h, modrip.h, wgui.h
	  
	  - portable header files brought up-to-date with conversion_to_c branch
	  
	  
	  fswrap.c, fsysamnt.c, gfxdrv.c, ini.c, modrip_win32.c, sounddrv.c, sysinfo.c, wgui.c,
	  winmain.c
	  
	  - win32 C files brought up-to-date with conversion_to_c branch
	  
	  
	  modrip_win32.h, portable.h
	  
	  - win32 header files brought up-to-date with conversion_to_c branch
	  
	  
	  autoconf.c, expansio.c, filesys.c, filesys_win32.c, fsdb.c, fsdb_win32.c, fsusage.c,
	  hardfile.c, uaesupp.c
	  
	  - UAE filesystem C files brought up-to-date with conversion_to_c branch
	  
	  
	  autoconf.h, execlib.h, filesys.h, filesys_win32.h, fsdb.h, fsusage.h, penguin.h,
	  uae2fell.h
	  
	  - UAE filesystem header files brought up-to-date with conversion_to_c branch
	  
	  
	  GUI_general.rc, WinFellow.dsp, WinFellow.vcproj
	  
	  - Win32 project files brought up-to-date with conversion_to_c branch

2004-05-18  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r423] fellow/SRC/WIN32/C/WINMAIN.C: there was a write operation beyond object_mapping
	  array boundaries; as a workaround just increased the dimensions by one
	* [r422] fellow/SRC/WIN32/C/WGUI.C: removed blitter assembler files (blita.*) and
	  drawmode.mac from Visual Studio .NET project

2004-05-15  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r414] fellow/SRC/WIN32/MSVC/WinFellow.sln, fellow/SRC/WIN32/MSVC/WinFellow.vcproj: Visual
	  Studio .NET project files added
	* [r413] fellow/SRC/WIN32/C/WGUI.C: fixed an assertion that occured when trying to start the
	  emulator without specifiyng a kickstart image

2002-08-18  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r407] fellow/SRC/WIN32/C/sysinfo.c: included more detailed source information since I was
	  unable at first to find the corresponding sourcelines

2002-06-10  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r406] fellow/SRC/WIN32/C/WGUI.C: - GUI keeps track of all last visited directories (ADF,
	  KickROM, Hardfile, etc.)
	  - fixed some configuration file history behaviour
	  - loading and saving of configurations files is made more consistent
	* [r405] fellow/SRC/WIN32/C/sysinfo.c: - gave output (fellow.log) a readable layout
	  - added some WinXP detection code
	* [r404] fellow/SRC/INCLUDE/Ini.h, fellow/SRC/WIN32/C/Ini.c: - added directories that are
	  memorized when using GUI
	* [r403] fellow/SRC/C/FELLOW.C: - added log function that does not show time
	* [r402] fellow/SRC/C/CONFIG.C: - disabled relative paths functions
	  - minor changes of initialization values

2001-11-22  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r401] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/Ini.c,
	  fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/MSVC/GUI_general.rc: - updated information
	  to make it the snapshot 2001/11/15

2001-11-21  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r400] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - also added shlwapi.lib to other
	  configurations (debug)
	* [r399] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - added shlwapi.lib to link

2001-11-15  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r398] fellow/Docs/WinFellow/disclaimer.txt: - added disclaimer message
	* [r397] fellow/readme.txt: - changed date

2001-11-14  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r396] fellow/SRC/WIN32/C/WINMAIN.C: Added version and path regisitry keys

2001-11-10  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r395] CVSROOT/editinfo, CVSROOT/loginfo: - test
	* [r394] CVSROOT/loginfo: yo
	* [r393] CVSROOT/syncmail: did some hacking in the code
	* [r392] CVSROOT/loginfo: test
	* [r391] CVSROOT/syncmail: - changed output email body
	* [r390] CVSROOT/loginfo, CVSROOT/syncmail: wef
	* [r389] CVSROOT/loginfo, CVSROOT/syncmail: wef
	* [r388] CVSROOT/syncmail: wfe
	* [r387] CVSROOT/syncmail: wef
	* [r386] CVSROOT/loginfo: - testje
	* [r385] CVSROOT/syncmail: - test 9
	* [r384] CVSROOT/syncmail: - test 8
	* [r383] CVSROOT/loginfo: -test 7
	* [r382] CVSROOT/loginfo: - test 5
	* [r381] CVSROOT/loginfo: - test 4
	* [r380] CVSROOT/loginfo: - test 3
	* [r379] CVSROOT/loginfo: - test 2
	* [r378] CVSROOT/loginfo: - testing 1

2001-11-09  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r377] CVSROOT/editinfo: hmmmmmmmmmmmmm
	* [r376] CVSROOT/syncmail: *** empty log message ***
	* [r375] CVSROOT/syncmail: we
	* [r374] CVSROOT/syncmail: hmmmmmm
	* [r373] CVSROOT/syncmail: delete please
	* [r372] CVSROOT/syncmail: *** empty log message ***
	* [r371] CVSROOT/checkoutlist: *** empty log message ***
	* [r370] CVSROOT/editinfo: KOOOAAALO
	* [r369] CVSROOT/syncmail: *** empty log message ***
	* [r368] CVSROOT/editinfo: Jaaaaa

2001-11-08  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r367] CVSROOT/editinfo: - test for commit emails, one character changed (#)
	* [r366] CVSROOT/loginfo: - added redirection of commit mails to worfje@gmx.net
	* [r365] CVSROOT/checkoutlist: - added execution of syncmail
	* [r364] CVSROOT/syncmail: - added syncmail (version 3.17), which is a python script. This
	  script will send commit-emails to a specified email-addresses

2001-08-16  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r363] fellow/SRC/WIN32/C/FSWRAP.C, fellow/SRC/WIN32/INCLUDE/FSWRAP.H: Relative path func
	  added
	* [r362] fellow/SRC/C/CONFIG.C, fellow/SRC/WIN32/C/Ini.c: Relative path fix
	* [r361] fellow/SRC/C/FSNAVIG.C: Redirected relative path func to fswrap.c
	* [r360] fellow/SRC/C/WAV.C: Missing null ptr test

2001-08-03  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r359] fellow/SRC/WIN32/C/GFXDRV.C: Offscreen alloc bug, and DDCAPS_NOHARDWARE fix

2001-07-10  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r358] fellow/SRC/WIN32/C/TIMER.C: Made timer off by default
	* [r357] fellow/SRC/ASM/BUSA.S: Removed some old floppy code, now done in floppy.c

2001-06-21  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r356] fellow/SRC/WIN32/MSVC/WinFellow.dsp: Altered lib dir order, makes dx3 builds work
	  better
	* [r355] fellow/SRC/C/FELLOW.C: fellowRun() used the debug event scheduler

2001-06-20  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r354] fellow/SRC/WIN32/C/WINMAIN.C: Enabled message loop threading for the debugger
	* [r353] fellow/SRC/WIN32/MSVC/WinFellow.dsp: Enabled any suitable inlining

2001-06-19  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r352] fellow/SRC/INCASM/DATA/BLIT.INC: Shares out blit_cycles_free
	* [r351] fellow/SRC/ASM/GRAPHA.S: DMACON monitors changes in BLTPRI
	* [r350] fellow/SRC/C/BLIT.C: Timing adjustments
	* [r349] fellow/SRC/C/FLOPPY.C: Increased buffer size

2001-06-11  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r348] fellow/SRC/C/FFILESYS.C: Fixed another back with trailing backslashes, this time in
	  ffilesysCompareFilesys().

2001-06-10  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r347] fellow/SRC/ASM/BLITA.S, fellow/SRC/ASM/COPPERA.S, fellow/SRC/ASM/CPUA.S,
	  fellow/SRC/ASM/GRAPHA.S, fellow/SRC/INCASM/DATA/BLIT.INC, fellow/SRC/INCASM/MAC/BLIT.MAC:
	  Blitter timing changes
	* [r346] fellow/SRC/C/CPU.C: 64bit division bug fixed
	* [r345] fellow/SRC/C/FELLOW.C: Debug stepping routines changes
	* [r344] fellow/SRC/C/BLIT.C: Blitter timing improvements
	* [r343] fellow/SRC/C/CIA.C: One shot mode bug and lost cycles when translating fixed

2001-06-07  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r342] fellow/SRC/INCASM/FUNC/FELLOW.INC: Changed declaration to fellowSoftReset()
	* [r341] fellow/SRC/INCLUDE/FMEM.H: Added memorySoftReset()
	* [r340] fellow/SRC/ASM/CPUA.S: reset now performs a non-destructive reset
	* [r339] fellow/SRC/C/FELLOW.C, fellow/SRC/C/FMEM.C: Non-destructive soft-reset added

2001-06-05  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r338] fellow/SRC/ASM/GRAPHA.S: Fixed undefined symbol error
	* [r337] fellow/SRC/C/FLOPPY.C: Added more gap space
	* [r336] fellow/SRC/ASM/DRAWA.S, fellow/SRC/C/DRAW.C: Disabled tsc profiling
	* [r335] fellow/SRC/ASM/GRAPHA.S: Found bug that could prevent line-skip optimization

2001-06-03  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r334] fellow/SRC/INCLUDE/FELLOW.H: most msvc level 2 warnings removed
	* [r333] fellow/SRC/C/BLIT.C, fellow/SRC/C/DRAW.C, fellow/SRC/C/FELLOW.C,
	  fellow/SRC/C/FSNAVIG.C, fellow/SRC/C/GAMEPORT.C, fellow/SRC/C/SOUND.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/INCLUDE/BLIT.H, fellow/SRC/INCLUDE/CIA.H,
	  fellow/SRC/INCLUDE/CONFIG.H, fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/FLOPPY.H,
	  fellow/SRC/INCLUDE/GRAPH.H, fellow/SRC/INCLUDE/Ini.h, fellow/SRC/INCLUDE/SOUNDDRV.H,
	  fellow/SRC/WIN32/C/SOUNDDRV.C, fellow/SRC/WIN32/C/TIMER.C, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/C/WINMAIN.C: most msvc level 2 warnings removed
	* [r332] fellow/SRC/C/FLOPPY.C: fix for unstable writes under ks31

2001-06-02  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r331] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/sysinfo.c,
	  fellow/SRC/WIN32/MSVC/GUI_general.rc: Updated the version information.

2001-06-02  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r330] fellow/SRC/ASM/BLITA.S, fellow/SRC/C/BLIT.C: Commented out TSC profile
	* [r329] fellow/SRC/C/BLIT.C, fellow/SRC/INCLUDE/BLIT.H: Added copy and fill implementation
	* [r328] fellow/SRC/ASM/BLITA.S, fellow/SRC/INCASM/DATA/BLIT.INC: Removed copy and fill mode
	  routines and general clean-up
	* [r327] fellow/SRC/WIN32/C/WDBG.C: Some displayed floppy variables changed name or ceased
	  to exist.
	* [r326] fellow/SRC/C/FLOPPY.C, fellow/SRC/INCASM/FUNC/FLOPPY.INC,
	  fellow/SRC/INCLUDE/FLOPPY.H: Changes to support improved timing of events,and changes to
	  the extended adf loader
	* [r325] fellow/SRC/C/CIA.C, fellow/SRC/INCLUDE/CIA.H: Function added to raise index IRQ
	* [r324] fellow/SRC/ASM/BUSA.S: floppy DMA calls moved to floppyEndOfLine()

2001-05-28  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r323] fellow/SRC/WIN32/UAE/C/AUTOCONF.C, fellow/SRC/WIN32/UAE/C/fsdb_win32.c:
	  ffilesys.dump now only written in debug version and to Winfellow's directory;
	  minor changes to the way invalid filenames are detected (some more are valid now)
	* [r322] fellow/SRC/C/FFILESYS.C: renamed filesys devices to hdx

2001-05-19  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r321] fellow/SRC/INCASM/FUNC/CPU.INC: Removed irqlog declaration
	* [r320] fellow/SRC/ASM/CPUA.S, fellow/SRC/C/CPU.C, fellow/SRC/C/FHFILE.C,
	  fellow/SRC/INCASM/DATA/CPU.INC, fellow/SRC/INCLUDE/CPU.H,
	  fellow/SRC/UAE/INCLUDE/UAE2FELL.H, fellow/SRC/WIN32/C/WDBG.C: More a and d register fixes

2001-05-18  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r319] fellow/SRC/INCASM/DATA/CPU.INC: Handling of a and d changes
	* [r318] fellow/SRC/ASM/CPUA.S: MOVEM and handling of a and d changed
	* [r317] fellow/SRC/INCLUDE/CPU.H: Renaming fixes
	* [r316] fellow/SRC/C/CPUDIS.C: Warnings removed
	* [r315] fellow/SRC/C/CPU.C: Assembly renaming fixes

2001-05-17  tedmaul

	* [r314] fellow/SRC/ASM/CPUA.S, fellow/SRC/ASM/GRAPHA.S, fellow/SRC/INCASM/MAC/PLAN2C.MAC:
	  Remove unneeded trailing underscores from asm symbols

2001-05-17  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r313] fellow/SRC/C/CONFIG.C, fellow/SRC/WIN32/C/Ini.c: - by default, configuration files
	  (*.wfc) are now saved in the subdirectory "configurations".
	* [r312] fellow/SRC/INCLUDE/WGUI.H: - lines 23-26 used LONG (from windows.h I guess) instead
	  of LON
	* [r311] fellow/SRC/INCLUDE/CONFIG.H: - cfgGetSoundNotification() was declared as returning
	  BOOLE instead of
	  sound_notifications. Same with cfgSetSoundNotification(). This is corrected.
	  
	  - declared cfgManagerConfigActivate() which didn't exist - it's now
	  cfgManagerConfigurationActivate().

2001-04-29  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r310] fellow/SRC/WIN32/C/SOUNDDRV.C: Now clears sound buffer at init.

2001-04-26  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r309] fellow/SRC/WIN32/C/GFXDRV.C: Msgloop cancels SC_KEYMENU msg now

2001-04-24  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r308] fellow/SRC/C/DRAW.C: drawSetMode() ignores refresh when no exact match is found

2001-04-20  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r307] fellow/Docs/WinFellow/WinFellow_FAQ.txt: added known bugs

2001-04-16  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r306] fellow/SRC/WIN32/C/GFXDRV.C: The offscreen buffer now falls back on a software
	  buffer when a hardware buffer is not available
	* [r305] fellow/SRC/C/KBD.C: Now ignores scancode A_NONE

2001-04-13  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r304] fellow/SRC/ASM/GRAPHA.S: bplpt ignores odd alignment and dependency added for
	  bplcon1 on writes to ddfstrt

2001-03-04  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r303] fellow/SRC/INCLUDE/WGUI.H: no message
	* [r302] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - added common_control_wrap.c/.h to project
	* [r301] fellow/SRC/WIN32/C/commoncontrol_wrap.c,
	  fellow/SRC/WIN32/INCLUDE/commoncontrol_wrap.h: - created this file for common control wrap
	  functions (reduces code use and relieves programmer of windows message details)
	* [r300] fellow/SRC/WIN32/C/WGUI.C: - compacted the GUI code by using wrap functions for the
	  common controls (declared in the common_control_wrap.c)
	  (not all common control calls from wgui.c are using these functions, still working on
	  that. Already reduced 10% of total size of wgui.c (including new size of
	  common_control_wrap.c))
	  - sorted all enumerated drawmodes for display propertysheet (screen area slider)
	* [r299] fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: - added
	  invisible radiobuttons for other CPU types (needed for compact GUI code)
	* [r298] fellow/SRC/WIN32/C/WGUI.C: - fixed updating of floppy images in main screen (after
	  inserting ones in config menu)

2001-03-03  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r297] fellow/SRC/WIN32/C/WGUI.C: - fixed mutually exclusive bug for scanlines and
	  horizontal scalingmutually exclusive

2001-02-28  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r296] fellow/SRC/WIN32/C/WINMAIN.C: removed fellowAddLog("met_kbd_data\n")

2001-02-26  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r295] fellow/SRC/WIN32/icons, fellow/SRC/WIN32/icons/cpu.ico,
	  fellow/SRC/WIN32/icons/dfloppy.ico, fellow/SRC/WIN32/icons/display.ico,
	  fellow/SRC/WIN32/icons/filesystem.ico, fellow/SRC/WIN32/icons/floppy.ico,
	  fellow/SRC/WIN32/icons/harddrives.ico, fellow/SRC/WIN32/icons/sound.ico: - icons for
	  propertysheets
	* [r294] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - rearranged/renamed some directories and
	  files
	* [r293] fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: -
	  removed the screen and blitter propertysheets and replaced them by a new display
	  propertysheet
	  - added icons for propertysheets
	* [r292] fellow/SRC/WIN32/C/WGUI.C: - added functionality for converting and using the
	  drawmode data from GFX to a suitable form in the GUI
	  - added some small icons to the configuration propertysheets
	  - removed the screen and blitter propertysheets and replaced them by a new display
	  propertysheet
	  - power led of the main window shows if a emulation is active
	* [r291] fellow/SRC/INCLUDE/Ini.h, fellow/SRC/WIN32/C/Ini.c: - removed multibuffer selection
	  from ini-file
	* [r290] fellow/SRC/INCLUDE/WGUI.H: - added types for holding altered drawmode data from GFX
	  in the GUI
	* [r289] fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H: - added code for multibuffer
	  configuration setting

2001-02-17  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r288] fellow/SRC/C/FLOPPY.C: fix to the mfm floppy code; still not functional

2001-02-15  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r287] fellow/SRC/C/FLOPPY.C, fellow/SRC/INCLUDE/FLOPPY.H: improved the extended adf image
	  handling; still not working correctly

2001-02-14  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r286] fellow/SRC/C/FLOPPY.C, fellow/SRC/C/zlibwrap.c, fellow/SRC/INCLUDE/zlibwrap.h:
	  added recompression of gzip'ed images upon removal of the disk

2001-02-14  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r285] fellow/SRC/ASM/DRAWA.S: Disabled line-skipping for deinterlace mode

2001-02-14  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r284] fellow/SRC/WIN32/C/sysinfo.c: Did some small fixes for NT registry reading.

2001-01-26  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r283] fellow/SRC/C/CONFIG.C: - changed default settings (default for notification was
	  still a bool, whoops)
	* [r282] fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H: - fixed the bool bug made with
	  the sound notification GUI option
	* [r281] fellow/SRC/WIN32/MSVC/GUI_general.rc: - renamed hardware notification to
	  directsound notification
	  - removed emulation speed from the main menu
	* [r280] fellow/SRC/WIN32/C/WGUI.C: - fixed the errors made with the sound notification GUI
	  option

2001-01-25  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r279] fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: - added
	  necessary controls to handle the notification and buffer length on the sound tab page
	* [r278] fellow/SRC/WIN32/C/WGUI.C: - added necessary code to handle the notification and
	  buffer length on the sound tab page
	* [r277] fellow/SRC/INCLUDE/CONFIG.H: - added declarations of functions
	  cfgSetSoundNotification, cfgGetSoundNotification, cfgSetSoundBufferLength and
	  cfgGetSoundBufferLength
	* [r276] fellow/SRC/C/CONFIG.C: - added functions cfgSetSoundNotification,
	  cfgGetSoundNotification, cfgSetSoundBufferLength and cfgGetSoundBufferLength

2001-01-24  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r275] fellow/SRC/WIN32/C/SOUNDDRV.C: Added support for sound notification selection
	* [r274] fellow/SRC/C/SOUND.C, fellow/SRC/INCLUDE/SOUND.H: Added helpers for sound
	  notification selection

2001-01-23  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r273] fellow/SRC/C/FELLOW.C: Changed call to timer setup
	* [r272] fellow/SRC/WIN32/C/TIMER.C: Added timer 50 hz synch routines
	* [r271] fellow/SRC/ASM/BUSA.S: Added call to timer 50 hz synch routine
	* [r270] fellow/SRC/INCLUDE/TIMER.H: Added 50 hz synch replacement

2001-01-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r269] fellow/SRC/C/FFILESYS.C: moved the call to rtarea_setup from the startup to the
	  hardreset section.

2001-01-22  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r268] fellow/SRC/INCLUDE/Ini.h: - added needed declaration
	* [r267] fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: - added
	  file menu option to enable/disable the multiple buffer option
	* [r266] fellow/SRC/WIN32/C/WGUI.C: - added code for handling the multiple buffer option in
	  the GUI
	* [r265] fellow/SRC/WIN32/C/Ini.c: - added several functions that were needed for handling
	  the multiple buffer option as an ini-file variable
	* [r264] fellow/SRC/INCLUDE/WGUI.H: - added declaration of function wguiStartupPost
	* [r263] fellow/SRC/C/FELLOW.C: - added functions iniEmulationStart and iniEmulationStop

2001-01-22  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r262] fellow/SRC/C/GRAPH.C: Changed default optimization selection

2001-01-21  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r261] fellow/SRC/C/DRAW.C, fellow/SRC/INCLUDE/DRAW.H: Some more mmx and profiling support
	* [r260] fellow/SRC/ASM/DRAWA.S: Some more MMX versions and profiling support
	* [r259] fellow/SRC/ASM/GRAPHA.S: Error in reporting bltzero in dmacon

2001-01-16  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r258] fellow/SRC/WIN32/C/WGUI.C: - added the showing of the actual keys that are used for
	  the Keyboard Layout 1 and 2
	  - added the selection of 'Joystick 2' to the gamecontroller combo-boxes
	* [r257] fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: - some
	  changes to the ID's

2001-01-11  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r256] fellow/SRC/WIN32/C/SOUNDDRV.C: Removed secondary hw caps check when adding modes.

2001-01-07  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r255] fellow/SRC/ASM/FMEMA.S, fellow/SRC/INCASM/DATA/CPU.INC,
	  fellow/SRC/INCASM/GENERIC/DEFS.INC, fellow/SRC/INCASM/MAC/FMEM.MAC: Odd memory access fix
	* [r254] fellow/SRC/UAE/INCLUDE/UAE2FELL.H: Prefetch change
	* [r253] fellow/SRC/C/FMEM.C: Memory bank table vs fast mem fix
	* [r252] fellow/SRC/C/CIA.C: Timer expiration fix
	* [r251] fellow/SRC/ASM/CPUA.S, fellow/SRC/C/CPU.C: ASL and prefetch fix
	* [r250] fellow/SRC/ASM/GRAPHA.S: VPOSR ID-bit fix

2001-01-07  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r249] fellow/SRC/WIN32/INCLUDE/kbdparser.h: no message
	* [r248] fellow/SRC/WIN32/C/kbdparser.c: - fixed problem if the last line is not an empty
	  line
	  - fixed handling of joystick key replacement
	  - added prsWriteFile function to save the current state of the key mappings
	  - now you can specify only the keys you want to change
	* [r247] fellow/SRC/WIN32/C/KBDDRV.C: fixed a little mistake (a " was missing)
	  if the mapping file is not found, a new one will be written at the end of the emulation

2001-01-06  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r246] fellow/SRC/WIN32/MSVC/WinFellow.dsp: Debug versions now produces pdb:s at compile

2001-01-05  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r245] fellow/SRC/C/GAMEPORT.C, fellow/SRC/INCLUDE/KBDDRV.H, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/MOUSEDRV.C: no message

2001-01-05  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r244] fellow/SRC/WIN32/C/window.c, fellow/SRC/WIN32/INCLUDE/window.h: First version of
	  emulation window module
	* [r243] fellow/SRC/INCLUDE/DRAW.H: Defines dual playfield mmx routines
	* [r242] fellow/SRC/C/DRAW.C, fellow/SRC/C/SPRITE.C: Fixes HAM problem and adds profiling of
	  mmx dual playfield drawing routines
	* [r241] fellow/SRC/ASM/DRAWA.S: fixes ham problem, adds MMX versions of dual playfield
	  drawing and profiling of these.

2001-01-03  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r240] fellow/SRC/WIN32/C/WDBG.C: added emulation necessity check

2001-01-01  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r239] fellow/SRC/ASM/GRAPHA.S: BPL skip now only checks the visible pixels and it can
	  handle dual playfield.

2000-12-30  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r238] fellow/SRC/WIN32/C/WDBG.C: forgot to read the blitter log state upon initialization
	  :)
	* [r237] fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: added toggle to turn blitter operation log on or
	  off

2000-12-30  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r236] fellow/SRC/INCASM/GENERIC/DEFS.INC: Added tsc profiling macros
	* [r235] fellow/SRC/ASM/DRAWA.S, fellow/SRC/ASM/GRAPHA.S, fellow/SRC/C/DRAW.C,
	  fellow/SRC/C/GRAPH.C, fellow/SRC/INCASM/DATA/GRAPH.INC, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/GRAPH.H: Added tsc profiling, more mmx routines and line skip
	  optimizations
	* [r234] fellow/SRC/ASM/BLITA.S, fellow/SRC/C/BLIT.C, fellow/SRC/INCASM/DATA/BLIT.INC,
	  fellow/SRC/INCASM/FUNC/BLIT.INC, fellow/SRC/INCASM/MAC/BLIT.MAC,
	  fellow/SRC/INCLUDE/BLIT.H: Added logging and some safer ptrs

2000-12-27  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r233] fellow/SRC/C/modrip.c, fellow/SRC/WIN32/C/modrip_win32.c,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: memory dump now also dumps bogo and fast mem if
	  available

2000-12-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r232] fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: added a basic blitter debugger

2000-12-24  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r231] fellow/SRC/WIN32/C/SOUNDDRV.C: Using MM timers when notification is unavailable.
	  /Andax

2000-12-21  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r230] fellow/SRC/ASM/BLITA.S, fellow/SRC/C/BLIT.C, fellow/SRC/INCASM/DATA/BLIT.INC:
	  Reorganized linemode code
	* [r229] fellow/SRC/ASM/GRAPHA.S: Added ID bits in VPOS

2000-12-19  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r228] fellow/SRC/C/modrip.c, fellow/SRC/WIN32/C/modrip_win32.c,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h: added Pro-Wizard commandline support
	* [r227] fellow/SRC/C/modrip.c, fellow/SRC/INCLUDE/modrip.h, fellow/SRC/WIN32/C/WDBG.C: no
	  message

2000-12-18  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r226] fellow/Docs/WinFellow/Module Ripper.txt: no message
	* [r225] fellow/SRC/C/modrip.c, fellow/SRC/INCLUDE/modrip.h,
	  fellow/SRC/WIN32/C/modrip_win32.c, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: added "dump chipmem" functionality to support
	  external rippers
	* [r224] fellow/SRC/C/modrip.c: no message
	* [r223] fellow/SRC/C/modrip.c, fellow/SRC/WIN32/INCLUDE/modrip_win32.h: no message
	* [r222] fellow/SRC/C/modrip.c, fellow/SRC/WIN32/C/modrip_win32.c: no message
	* [r221] fellow/SRC/C/modrip.c: no message
	* [r220] fellow/Docs/WinFellow/Module Ripper.txt, fellow/SRC/C/modrip.c: no message
	* [r219] fellow/SRC/C/modrip.c: added ThePlayer 4.1a support
	* [r218] fellow/Docs/WinFellow/Module Ripper.txt: no message
	* [r217] fellow/Docs/WinFellow/Module Ripper.txt: first version to explain the basic
	  features
	* [r216] fellow/SRC/C/modrip.c: tribute to ASLE :)
	* [r215] fellow/SRC/C/modrip.c: added ProRunner 2.0 support

2000-12-17  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r214] fellow/SRC/C/modrip.c: now scans only allocated memory areas
	* [r213] fellow/SRC/WIN32/C/WDBG.C: screen state updated with a routine provided by Petter

2000-12-17  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r212] fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/GRAPH.H: Added declarations for some
	  variables used in the debugger
	* [r211] fellow/SRC/ASM/GRAPHA.S: Fixed bug in wcolor(), it wrote dword values to a word
	  array.

2000-12-17  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r210] fellow/SRC/C/modrip.c: again code cleanups

2000-12-16  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r209] fellow/SRC/C/modrip.c: added FredEditor format, introduced some macros to clean up
	  the code
	* [r208] fellow/SRC/C/modrip.c: Two Protracker clones added (Noisetrekker and long
	  Protracker)

2000-12-15  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r207] fellow/SRC/C/modrip.c: small irrelevant changes (cleanups)
	* [r206] fellow/SRC/C/modrip.c: new sound format SoundMon, added heavy debug output
	* [r205] fellow/SRC/C/modrip.c, fellow/SRC/WIN32/C/modrip_win32.c: better detection of
	  invalid modules
	* [r204] fellow/SRC/C/modrip.c: fixed a bug in the reading of floppy images and detection of
	  invalid filenames
	* [r203] fellow/SRC/C/modrip.c, fellow/SRC/WIN32/C/modrip_win32.c,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h: added a better error handling to reading of
	  floppy images

2000-12-14  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r202] fellow/SRC/C/modrip.c, fellow/SRC/INCLUDE/modrip.h,
	  fellow/SRC/WIN32/C/modrip_win32.c, fellow/SRC/WIN32/C/WDBG.C,
	  fellow/SRC/WIN32/INCLUDE/modrip_win32.h, fellow/SRC/WIN32/MSVC/WinFellow.dsp:
	  module-ripper now has an own module

2000-12-13  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r201] fellow/SRC/WIN32/C/WDBG.C: SoundFX 1.3 and 2.0 added to the module ripper

2000-12-10  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r200] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - fixed some resource settings
	* [r199] fellow/SRC/WIN32/MSVC/gui_debugger.h: - fixed the DX3 and DX5 release
	  configurations, so that they
	  also compile the right resources

2000-12-10  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r198] fellow/Docs/WinFellow/WinFellow_FAQ.txt: added a link to the ADF File Format FAQ.
	* [r197] fellow/SRC/WIN32/C/WDBG.C: code-cleanups and busy-cursor for the mod-ripper
	* [r196] fellow/SRC/WIN32/C/WDBG.C: mod-ripper now searches whole Amiga memory and *finds*
	  modules now :)
	* [r195] fellow/SRC/WIN32/C/WDBG.C: increased temporary string size and made a unique
	  #define for it
	* [r194] fellow/SRC/WIN32/C/WDBG.C: soundStates are now displayed

2000-12-09  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r193] fellow/SRC/WIN32/C/WDBG.C: added graphics clipping information
	* [r192] fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: debugger nearly completed
	* [r191] fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: added floppy state

2000-12-08  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r190] fellow/SRC/WIN32/MSVC/GUI_debugger.rc: fixed CIA gui
	* [r189] fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: cia state added
	* [r188] fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/MSVC/gui_debugger.h,
	  fellow/SRC/WIN32/MSVC/GUI_debugger.rc: memory debugger added
	* [r187] fellow/SRC/WIN32/C/WDBG.C: Changed debugger window into a propsheet; shall be
	  changed later into a dialog using register tabs

2000-12-08  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r186] fellow/SRC/WIN32/MSVC/GUI_debugger.rc: - i hope we fixed it not properly
	* [r185] fellow/SRC/WIN32/MSVC/GUI_debugger.rc, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/MSVC/WinFellow.dsp: - i hope we fixed it not properly
	* [r184] fellow/SRC/WIN32/MSVC/GUI_debugger.rc, fellow/SRC/WIN32/MSVC/GUI_general.rc: -
	  getting the resources fixed - still trying to
	* [r183] fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/MSVC/gui_debugger.h, fellow/SRC/WIN32/MSVC/GUI_debugger.rc,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc,
	  fellow/SRC/WIN32/MSVC/WinFellow.dsp: - getting the resources fixed - still trying to
	* [r182] fellow/SRC/WIN32/MSVC/GUI_general.rc: - fixed a problem that caused the GUI to be
	  non-existend at runtime
	* [r181] fellow/SRC/WIN32/MSVC/GUI_general.rc: - fixed a problem that caused the GUI to be
	  non-existend at runtime
	* [r180] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - fixed a problem that caused the GUI to be
	  non-existend at runtime
	* [r179] fellow/SRC/WIN32/MSVC/gui_debugger.h, fellow/SRC/WIN32/MSVC/GUI_debugger.rc,
	  fellow/SRC/WIN32/MSVC/gui_general.h, fellow/SRC/WIN32/MSVC/GUI_general.rc: - added second
	  resource file for debugger GUI
	* [r178] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - several changes have been made to the file
	  structure
	  (maps added/files moved)
	  - added second resource file for debugger GUI
	* [r177] fellow/SRC/WIN32/C/GFXDRV.C, fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C,
	  fellow/SRC/WIN32/C/WINMAIN.C: - an include entry had to be changed because of resource
	  file
	  changes
	* [r176] fellow/SRC/WIN32/MSVC/RESOURCE.H: - removed since it was replace by GUI_general.h
	* [r175] fellow/SRC/WIN32/MSVC/Script1.rc: - removed since it was replace by GUI_general.rc

2000-12-04  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r174] fellow/SRC/ASM/SOUNDA.S: Fixed 15650 and 22050 Hz modes.

2000-12-04  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r173] fellow/SRC/WIN32/MSVC/WinFellow.dsp: Added sse.s and sse.h to the project.
	* [r172] fellow/SRC/WIN32/C/sysinfo.c: Added SSE and MMX detection.

2000-12-04  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r171] fellow/SRC/INCLUDE/SSE.H: this is the header file of the assembler file that
	  contains one assembler function that detects the availability
	  of SSE (Streaming SIMD Extensions)
	* [r170] fellow/SRC/ASM/Sse.s: - file contains one assembler function that detects the
	  availability
	  of SSE (Streaming SIMD Extensions)
	* [r169] fellow/SRC/ASM/MMX.S: - added explanation of inner working of assembler

2000-11-18  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r168] fellow/SRC/WIN32/C/SOUNDDRV.C: Added checks on Lock and Play if buffer lost.
	  Temporary fixes if so...

2000-11-18  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r167] fellow/SRC/WIN32/C/JOYDRV.C: Two Joy support

2000-11-15  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r166] fellow/SRC/ASM/SOUNDA.S: Added IRQ generation for sound when no DMA is active
	* [r165] fellow/SRC/ASM/GRAPHA.S: Added lores shift reversal based on ddfstart alignment.

2000-10-26  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r164] fellow/SRC/WIN32/C/sysinfo.c: small code cleanup

2000-10-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r163] fellow/SRC/WIN32/C/sysinfo.c: added cpu detection on assembly level

2000-10-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r162] fellow/SRC/WIN32/C/sysinfo.c: added a hardware enum tree on NT4 SP 5

2000-10-21  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r161] fellow/SRC/WIN32/C/sysinfo.c: now enumeration hardware registry keys

2000-10-19  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r160] fellow/SRC/WIN32/C/sysinfo.c, fellow/SRC/WIN32/MSVC/WinFellow.dsp: system
	  information logging routines
	* [r159] fellow/SRC/C/FELLOW.C: now calls sysinfo logging routine

2000-10-18  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r158] fellow/SRC/C/FELLOW.C: added DX version information
	* [r157] fellow/SRC/C/FELLOW.C, fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/WIN32/C/WINMAIN.C:
	  fellowAddLog now logs date and time and accepts printf-style parameters

2000-10-18  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r156] fellow/SRC/WIN32/C/JOYDRV.C: two joy support

2000-10-12  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r155] fellow/SRC/WIN32/C/WGUI.C: - fixed bug in various configuration tab: LED could only
	  be
	  enabled by enabeling FPS

2000-10-12  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r154] fellow/Docs/WinFellow/WinFellow_FAQ.txt: now really clickable
	* [r153] fellow/Docs/WinFellow/WinFellow_FAQ.txt: URL to cloanto now clickable in CVS
	  browser
	* [r152] fellow/Docs/WinFellow, fellow/Docs/WinFellow/WinFellow_FAQ.txt: v0.105

2000-10-11  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r151] fellow/SRC/xdms/C/pfile.c, fellow/SRC/xdms/C/xdms.c: minor update to xdms 1.3b;
	  fixes a bug with dms archives created from very old crunchers

2000-10-05  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r150] fellow/SRC/WIN32/C/WGUI.C: - enabled adz/xdms support in filerequester of
	  diskimages

2000-10-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r149] fellow/SRC/C/zlibwrap.c, fellow/SRC/INCLUDE/zlibwrap.h: zlib wrapper module
	* [r148] fellow/SRC/WIN32/MSVC/WinFellow.dsp: Added zlib and xdms sources into the tree.
	* [r147] fellow/SRC/C/FLOPPY.C: Now uses zlib and xdms and puts temp files into the temp
	  folder
	* [r146] fellow/SRC/zlib, fellow/SRC/zlib/C, fellow/SRC/zlib/C/adler32.c,
	  fellow/SRC/zlib/C/compress.c, fellow/SRC/zlib/C/crc32.c, fellow/SRC/zlib/C/deflate.c,
	  fellow/SRC/zlib/C/gzio.c, fellow/SRC/zlib/C/infblock.c, fellow/SRC/zlib/C/infcodes.c,
	  fellow/SRC/zlib/C/inffast.c, fellow/SRC/zlib/C/inflate.c, fellow/SRC/zlib/C/inftrees.c,
	  fellow/SRC/zlib/C/infutil.c, fellow/SRC/zlib/C/trees.c, fellow/SRC/zlib/C/uncompr.c,
	  fellow/SRC/zlib/C/zutil.c, fellow/SRC/zlib/include, fellow/SRC/zlib/include/deflate.h,
	  fellow/SRC/zlib/include/infblock.h, fellow/SRC/zlib/include/infcodes.h,
	  fellow/SRC/zlib/include/inffast.h, fellow/SRC/zlib/include/inffixed.h,
	  fellow/SRC/zlib/include/inftrees.h, fellow/SRC/zlib/include/infutil.h,
	  fellow/SRC/zlib/include/trees.h, fellow/SRC/zlib/include/zconf.h,
	  fellow/SRC/zlib/include/zlib.h, fellow/SRC/zlib/include/zutil.h: New zlib support
	* [r145] fellow/SRC/xdms, fellow/SRC/xdms/C, fellow/SRC/xdms/C/crc_csum.c,
	  fellow/SRC/xdms/C/getbits.c, fellow/SRC/xdms/C/maketbl.c, fellow/SRC/xdms/C/pfile.c,
	  fellow/SRC/xdms/C/tables.c, fellow/SRC/xdms/C/u_deep.c, fellow/SRC/xdms/C/u_heavy.c,
	  fellow/SRC/xdms/C/u_init.c, fellow/SRC/xdms/C/u_medium.c, fellow/SRC/xdms/C/u_quick.c,
	  fellow/SRC/xdms/C/u_rle.c, fellow/SRC/xdms/C/xdms.c, fellow/SRC/xdms/include,
	  fellow/SRC/xdms/include/cdata.h, fellow/SRC/xdms/include/crc_csum.h,
	  fellow/SRC/xdms/include/getbits.h, fellow/SRC/xdms/include/maketbl.h,
	  fellow/SRC/xdms/include/pfile.h, fellow/SRC/xdms/include/tables.h,
	  fellow/SRC/xdms/include/u_deep.h, fellow/SRC/xdms/include/u_heavy.h,
	  fellow/SRC/xdms/include/u_init.h, fellow/SRC/xdms/include/u_medium.h,
	  fellow/SRC/xdms/include/u_quick.h, fellow/SRC/xdms/include/u_rle.h,
	  fellow/SRC/xdms/include/xdms.h, fellow/SRC/xdms/xdms.txt: New xdms support

2000-10-01  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r144] fellow/SRC/C/FLOPPY.C: Added a small "hotfix" to let system calls to xdms and gzip
	  use short path names

2000-09-24  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r143] fellow/SRC/C/FLOPPY.C: gzip and xdms now enclose filenames in quotes

2000-09-23  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r142] fellow/SRC/C/FLOPPY.C: Fixed broken code in floppySectorMFMDecode() for msvc

2000-09-23  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r141] fellow/SRC/WIN32/UAE/C/FILESYS.C, fellow/SRC/WIN32/UAE/C/fsdb.c: Added some missing
	  a_inode initializations

2000-09-20  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r140] fellow/SRC/WIN32/C/JOYDRV.C: small fixes
	* [r139] fellow/SRC/C/CIA.C, fellow/SRC/C/GAMEPORT.C, fellow/SRC/C/KBD.C,
	  fellow/SRC/INCLUDE/GAMEPORT.H, fellow/SRC/INCLUDE/KBD.H, fellow/SRC/WIN32/C/KBDDRV.C,
	  fellow/SRC/WIN32/C/kbdparser.c, fellow/SRC/WIN32/INCLUDE/kbdparser.h: autofire support

2000-09-19  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r138] fellow/SRC/C/FFILESYS.C: fixed a bug in ffilesys_install concerning backslashes
	  trailing filesystem root paths

2000-09-17  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r137] fellow/SRC/WIN32/C/JOYDRV.C: - autofire
	  - nt4 support

2000-09-15  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r136] fellow/readme.txt: Removed info that the project was discontinued

2000-09-13  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r135] fellow/SRC/C/FLOPPY.C: strrchr result used unchecked for null, fixed

2000-09-12  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r134] fellow/SRC/C/FMEM.C: Write protects the kickstart memory
	* [r133] fellow/SRC/WIN32/C/GFXDRV.C: Fixed secondary surface restore bug

2000-09-12  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r132] fellow/SRC/WIN32/MSVC/Script1.rc: - changed description of features in various
	  configuration propertysheet

2000-09-12  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r131] fellow/SRC/WIN32/C/JOYDRV.C: fixed joyDrvMovementHandler again

2000-09-11  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r130] fellow/SRC/WIN32/C/JOYDRV.C: fixed joyDrvMovementHandler and joyDrvEmulationStart

2000-09-09  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r129] fellow/SRC/WIN32/MSVC/winfellow_logo_small.bmp: - added bitmap for logo shown in
	  the about box

2000-09-09  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r128] fellow/SRC/WIN32/C/GFXDRV.C: Title changed to V0.4.2

2000-09-09  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r127] fellow/SRC/WIN32/MSVC/RESOURCE.H, fellow/SRC/WIN32/MSVC/Script1.rc: - changed
	  version number
	  - added WinFellow logo to about box
	* [r126] fellow/SRC/WIN32/C/Ini.c: - changed version number

2000-09-08  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r125] fellow/SRC/WIN32/C/JOYDRV.C: now use multimedia functions with dx3 mode (instead of
	  pure dinput)
	  removed heavy debug log with Dx3

2000-09-07  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r124] fellow/SRC/WIN32/C/Ini.c, fellow/SRC/WIN32/C/WGUI.C: - almost no changes made
	* [r123] fellow/SRC/WIN32/MSVC/Script1.rc: - disabled filedialog for selecting a directory
	  (path) for a filesystem
	  - added hardfile create dialog
	* [r122] fellow/SRC/C/CONFIG.C: - fixed multiple hardfile addition
	* [r121] fellow/SRC/WIN32/MSVC/RESOURCE.H: - added creation of hardfiles dialog

2000-09-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r120] fellow/SRC/C/FHFILE.C: added os independant hardfile creation

2000-09-07  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r119] fellow/SRC/WIN32/C/WGUI.C: - added creation of hardfiles
	  - fixed multiple hardfile bug

2000-09-07  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r118] fellow/SRC/INCLUDE/FHFILE.H: I should go to bed earlier... fixed the export of
	  create_hardfile
	* [r117] fellow/SRC/C/FHFILE.C: removed static from create_hardfile
	* [r116] fellow/SRC/INCLUDE/FHFILE.H: added create_hardfile to the exported functions

2000-09-07  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r115] fellow/SRC/WIN32/MSVC/WinFellow.dsp: Multithread settings for release mode
	  added Dx3Debug and Dx3Release configuration with USE_DX3 define

2000-09-06  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r114] fellow/SRC/WIN32/C/GFXDRV.C: Added #include "ini.h"

2000-09-06  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r113] fellow/SRC/WIN32/INCLUDE/dxver.h, fellow/SRC/WIN32/INCLUDE/kbdparser.h: no message
	* [r112] fellow/SRC/WIN32/C/JOYDRV.C: Tuesday, September 05, 2000
	  - tried to use the CoCreateInstance also for Dx3
	  - added some heavy output to the log with Dx3 in debug mode
	  
	  Monday, August 29, 2000
	  - added dxver.h include, dx version is decided with USE_DX3 or USE_DX5 macro
	  
	  Monday, July 10, 2000
	  - conditional compile for DX5 or DX3
	  - use of the couple CoCreateInstance and Initialize instead of DirectInputCreateEx and
	  CreateDeviceEx with DX5
	  - added CoInitialize in joyDrvStartup and CoUninitialize in joyDrvShutdown with DX5
	  - added some more error explanation in Debug compile into joyDrvDInputErrorString when not
	  a DxError encountered (it leaks some memory)
	* [r111] fellow/SRC/WIN32/C/KBDDRV.C: Tuesday, September 05, 2000
	  - added DikKeyString for the translation of a DIK key to a string - highly not optimized -
	  ** internal **
	  - added kbd_drv_joykey to the prsReadFile call ** internal **
	  - now joy replacement are first filled with DIK keys and then translated to PCK symbolic
	  key
	  - added dxver.h include, dx version is decided with USE_DX3 or USE_DX5 macro
	* [r110] fellow/SRC/WIN32/C/kbdparser.c: Tuesday, September 05, 2000
	  - added parsing of replacement keys for the gameport
	  - added a third parameter to prsReadFile for the array of joy replacement ** internal **
	* [r109] fellow/SRC/WIN32/C/MOUSEDRV.C: Monday, August 29, 2000
	  - added dxver.h include, dx version is decided with USE_DX3 or USE_DX5 macro
	  
	  Sunday, July 9, 2000
	  - couldn't keep the mouse buttons pressed;
	  - removed some unuseful logging

2000-09-06  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r108] fellow/SRC/WIN32/UAE/C/FSUSAGE.C: fixed get_fsusage; removing the posixemu layer
	  produced a small bug
	* [r107] fellow/SRC/WIN32/UAE/C/fsdb_win32.c: reverted yesterdays change; now set rwed by
	  default (may be overridden by fsdb file)

2000-09-05  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r106] fellow/SRC/WIN32/UAE/C/fsdb_win32.c: added a small detection to make cdroms usable
	* [r105] fellow/SRC/WIN32/UAE/C/fsdb.c: added some security checks which shall ensure that
	  old fdsb entries are ignored

2000-09-05  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r104] fellow/SRC/INCLUDE/Ini.h: - header file of the iniManager
	* [r103] fellow/SRC/WIN32/C/Ini.c: - implements the iniManager
	  
	  This manager handles the all aspects of the ini-file (property acces,
	  shutdown, startup, etc.)

2000-09-04  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r102] fellow/SRC/WIN32/MSVC/RESOURCE.H, fellow/SRC/WIN32/MSVC/Script1.rc,
	  fellow/SRC/WIN32/MSVC/WinFellow.dsp: - restored the execution of the
	  custom building step of the assembly files
	* [r101] fellow/SRC/WIN32/C/WGUI.C: - the following functions were added for supporting file
	  history
	  and the usage of an ini-file, thus remembering window
	  positions and directories:
	  
	  wguiRemoveAllHistory
	  wguiInstallHistoryIntoMenu
	  wguiInsertCfgIntoHistory
	  wguiDeleteCfgFromHistory
	  wguiPutCfgInHistoryOnTop
	  wguiDialogProc (some minor changes)
	  
	  For the keeping track of window postions and applying the
	  last used position the function wguiEnter changed. Also
	  changes were need in the gfxdrv.c file since this file controlled
	  the creation of the emulation file.
	* [r100] fellow/SRC/INCLUDE/CONFIG.H: - no noticable changes made
	* [r99] fellow/SRC/INCLUDE/WGUI.H: - added the function wguiInsertCfgIntoHistory to the
	  declarations
	* [r98] fellow/SRC/C/CONFIG.C: - no noticable changes detected
	* [r97] fellow/SRC/C/FELLOW.C: - inserting the following code at the includes:
	  
	  #include "ini.h"
	  
	  - inserted iniShutdown(); in the fellowModulesShutdown function
	  - inserted iniStartup(); in the fellowModulesStartup function

2000-09-04  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r96] fellow/SRC/WIN32/C/GFXDRV.C: Suggested ini changes from Worfje

2000-09-04  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r95] fellow/SRC/WIN32/UAE/C/fsdb_win32.c: fixed the filename validation

2000-09-03  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r94] fellow/SRC/WIN32/MSVC/WinFellow.dsp: removed posixemu.*, added filesys_win32.*
	* [r93] fellow/SRC/UAE/INCLUDE/UAE2FELL.H: removed posixemu usage; still a bit messy
	* [r92] fellow/SRC/WIN32/UAE/C/FILESYS.C, fellow/SRC/WIN32/UAE/C/fsdb.c,
	  fellow/SRC/WIN32/UAE/C/fsdb_win32.c: now uses filesys_win32 if compiled on win32
	* [r91] fellow/SRC/WIN32/UAE/C/FSUSAGE.C: removed some posixemu usage
	* [r90] fellow/SRC/WIN32/UAE/C/filesys_win32.c: win32 filesys functionality, first release;
	  obsoletes posixemu.c
	* [r89] fellow/SRC/UAE/INCLUDE/filesys_win32.h: Include file for win32 filesys
	  functionality, first release
	* [r88] fellow/SRC/UAE/INCLUDE/FILESYS.H, fellow/SRC/UAE/INCLUDE/fsdb.h,
	  fellow/SRC/WIN32/UAE/C/FILESYS.C, fellow/SRC/WIN32/UAE/C/fsdb_win32.c,
	  fellow/SRC/WIN32/UAE/C/POSIXEMU.C: changed ERROR_OBJECT_NOT_FOUND to
	  ERROR_OBJECT_NOT_AROUND due to a conflict with VC6

2000-09-02  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r87] fellow/SRC/WIN32/UAE/C/fsdb_win32.c: fixed some bug in flag handling; therefore a
	  filesys_parse_mask has been added
	* [r86] fellow/SRC/UAE/INCLUDE/fsdb.h: changed some mode variables from int to uae_u32 since
	  they have to be 32 bits wide

2000-09-01  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r85] fellow/SRC/WIN32/C/WINMAIN.C: Checks failure in fellowEmulationStart
	* [r84] fellow/SRC/WIN32/C/GFXDRV.C: Various minor issues fixed, see devlist archive for
	  20000901
	* [r83] fellow/SRC/C/FELLOW.C, fellow/SRC/INCLUDE/FELLOW.H: Error testing in
	  fellowEmulationStart added
	* [r82] fellow/SRC/C/FMEM.C, fellow/SRC/INCLUDE/FMEM.H: Error testing function for missing
	  kickstart added
	* [r81] fellow/SRC/C/DRAW.C: Error testing in drawEmulationStart added

2000-09-01  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r80] fellow/SRC/UAE/INCLUDE/AUTOCONF.H: changed some interface definitions to fit the
	  un*x UAE distrib
	* [r79] fellow/SRC/WIN32/MSVC/WinFellow.dsp: added new files for the filesystem database
	  features
	* [r78] fellow/SRC/WIN32/UAE/C/POSIXEMU.C: just changed a constant to fit the UAE source
	* [r77] fellow/SRC/WIN32/UAE/C/FILESYS.C: based on the UAE 0.8.15 and changed as
	  minimalistic as possible
	* [r76] fellow/SRC/UAE/INCLUDE/UAE2FELL.H: added define for random() used by fsdb
	* [r75] fellow/SRC/UAE/INCLUDE/FILESYS.H: moved some stuff from filesys.c here
	* [r74] fellow/SRC/C/FFILESYS.C: removed fellow_add_filesys_unit; added call to
	  filesys_prepare_reset
	* [r73] fellow/SRC/UAE/INCLUDE/fsdb.h, fellow/SRC/WIN32/UAE/C/fsdb.c,
	  fellow/SRC/WIN32/UAE/C/fsdb_win32.c: Filesystem database functionality
	* [r72] fellow/SRC/WIN32/C/fsysamnt.c: Filesystem automount functionality

2000-08-23  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r71] fellow/SRC/C/DRAW.C, fellow/SRC/INCASM/DATA/TIMER.INC, fellow/SRC/INCLUDE/DRAW.H,
	  fellow/SRC/INCLUDE/TIMER.H, fellow/SRC/WIN32/C/TIMER.C: Added statistic functions
	* [r70] fellow/SRC/ASM/GRAPHA.S: Fixes error in wddfstrt

2000-08-13  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r69] fellow/SRC/C/FHFILE.C: Added creation of hardfiles.

2000-07-11  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r68] fellow/SRC/C/FFILESYS.C: Fixed up the checks using the filesys device status, which
	  is clean now.

2000-07-11  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r67] fellow/SRC/C/CONFIG.C: - added the a change in function
	  cfgManagerConfigurationActivate, required by Carfesh

2000-07-09  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r66] fellow/SRC/WIN32/INCLUDE/RESOURCE.H: Removed this duplicate of resource.h

2000-07-09  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r65] fellow/SRC/WIN32/C/MOUSEDRV.C: - couldn't keep the mouse buttons pressed;
	  - removed some unuseful logging

2000-07-03  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r64] fellow/SRC/C/GAMEPORT.C: small fixes (thanks petter)

2000-07-02  Torsten Enderling (carfesh) <carfesh@users.sourceforge.net> 

	* [r63] fellow/SRC/C/FFILESYS.C: Added two checks which prevent fellow from trying to insert
	  20 filesys-devices even if none are defined.
	  These checks are ugly but currently the fastest way, as the
	  status flags are not set correctly.
	* [r62] fellow/SRC/C/FFILESYS.C: Fixed wrong check in ffilesysHasZeroDevices(). Nevertheless
	  the
	  problem that always 20 devices are registered remains.
	* [r61] fellow/SRC/C/FHFILE.C: Fixed fhfileDiag to set D0 to 1 on exit; this fixes an error
	  in booting from hardfiles.

2000-07-02  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r59] fellow/src, fellow/src/asm, fellow/src/asm/amiga, fellow/src/asm/amiga/FHFILE.S,
	  fellow/src/asm/amiga/FHTRANS.C: no message
	* [r58] fellow/SRC/WIN32/C/GFXDRV.C: altf4 fix, scaling adjustment in desktop mode, surface
	  out of memory fix

2000-06-29  Marco Nova (mnd) <mnd@users.sourceforge.net> 

	* [r57] fellow/SRC/WIN32/C/MOUSEDRV.C: better buffer handling

2000-06-28  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r56] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/Script1.rc: - added infornation of
	  used keys of each keyboard layout in the configuration dialog of gamecontrollers
	* [r55] fellow/SRC/C/CONFIG.C: - changed default config screen preferences

2000-06-28  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r54] fellow/SRC/INCLUDE/GRAPH.H: Corrects sorting of dual playfields
	* [r53] fellow/SRC/ASM/DRAWA.S, fellow/SRC/ASM/GRAPHA.S, fellow/SRC/INCASM/DATA/GRAPH.INC:
	  Corrected dual playfield sorting
	* [r52] fellow/SRC/WIN32/C/GFXDRV.C: Compile error removed. Icon added to window, window
	  title changed.

2000-06-26  Wytze Hoogkamp (worfje) <worfje@users.sourceforge.net> 

	* [r51] fellow/SRC/WIN32/MSVC/Script1.rc, fellow/SRC/WIN32/MSVC/WinFellow.dsp: - fixed a
	  wrong bitmap name, used for power led
	* [r50] fellow/SRC/WIN32/MSVC/disk_led_disabled_cool.bmp,
	  fellow/SRC/WIN32/MSVC/disk_led_off_cool.bmp, fellow/SRC/WIN32/MSVC/disk_led_on_cool.bmp,
	  fellow/SRC/WIN32/MSVC/power_led_off_cool.bmp, fellow/SRC/WIN32/MSVC/power_led_on_cool.bmp:
	  - added for use within script1.rc and wgui.c
	* [r49] fellow/SRC/WIN32/MSVC/WinFellow.dsp: - Fellow bitmap removed from main window
	  (script1.rc)
	  - reduced floppy config added to main window (wgui.c)
	* [r48] fellow/SRC/WIN32/MSVC/Fellow.bmp, fellow/SRC/WIN32/MSVC/FELLOW2.BMP: - main window
	  Fellow bitmap deleted
	* [r47] fellow/SRC/WIN32/MSVC/Script1.rc: - disk and power led bitmaps added
	  - main window Fellow bitmap deleted
	* [r46] fellow/SRC/WIN32/INCLUDE/RESOURCE.H, fellow/SRC/WIN32/MSVC/RESOURCE.H: - disk and
	  power led bitmap definitions added
	  - main window Fellow bitmap definition deleted
	* [r45] fellow/SRC/WIN32/C/WGUI.C: - main window "Fellow" bitmap removed
	  - reduced floppy config added to main window
	* [r44] fellow/SRC/WIN32/MSVC/BITMAP1.BMP, fellow/SRC/WIN32/MSVC/WinFellow.dsp: - splash
	  dialog bitmap deleted
	* [r43] fellow/SRC/WIN32/MSVC/Script1.rc: - splash dialog bitmap deleted
	  - dialog and main windows changed (Fellow to WinFellow)
	* [r42] fellow/SRC/INCLUDE/WGUI.H: - splash window function deleted (wguiPreStartup)
	* [r41] fellow/SRC/WIN32/C/WINMAIN.C: - splash window function call deleted
	* [r40] fellow/SRC/WIN32/C/WGUI.C: - name of main window and about dialog changed
	  - splash window deleted

2000-06-20  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r39] fellow/SRC/WIN32/C/SOUNDDRV.C: More slack in handling of buffers in playback
	* [r38] fellow/SRC/WIN32/C/GFXDRV.C: Corrected interface, added scale support and generic
	  blitter support in any gfxmode
	* [r37] fellow/SRC/INCLUDE/GFXDRV.H: Updated error in gfxdrv.h interface
	* [r36] fellow/SRC/C/SOUND.C: Removed testprintout
	* [r35] fellow/SRC/C/FLOPPY.C: Gzip support fixed
	* [r34] fellow/SRC/C/FELLOW.C: Disabled some testprintouts.
	* [r33] fellow/SRC/C/DRAW.C: Handles scale and interlace.

2000-06-19  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r32] fellow/SRC/WIN32/C/GFXDRV.C: Changed caption on emulation window to correct version

2000-06-18  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r31] fellow/SRC/WIN32/MSVC/Script1.rc: Changed version number in dialog
	* [r30] fellow/SRC/WIN32/C/WGUI.C: Made config dialog modal (bugfix) /Worfje
	* [r29] fellow/SRC/WIN32/INCLUDE/RESOURCE.H: New stuff related to saving configs
	* [r28] fellow/SRC/WIN32/MSVC/winfellow.ico: New neat icon. /Worfje
	* [r27] fellow/SRC/C/CONFIG.C, fellow/SRC/INCLUDE/CONFIG.H: New stuff related to saving
	  configs
	* [r26] fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/MSVC/RESOURCE.H,
	  fellow/SRC/WIN32/MSVC/Script1.rc: New stuff related to saving configs
	* [r25] fellow/SRC/WIN32/MSVC/winfellow.ico: Initial placeholder for icon. New will shortly
	  be commited.

2000-06-06  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r24] fellow/SRC/ASM/DRAWA.S: Corrected 24-bit drawing

2000-06-05  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r23] fellow/SRC/ASM/DRAWA.S: Fixed striping error in 32-bit color single pixel dual
	  playfield mode
	* [r22] fellow/SRC/ASM/BUSA.S, fellow/SRC/C/FELLOW.C, fellow/SRC/C/KBD.C,
	  fellow/SRC/INCASM/DATA/BUS.INC, fellow/SRC/INCASM/DATA/FELLOW.INC,
	  fellow/SRC/WIN32/C/WDBG.C: Using new emulation stop mechanisms and some obsolete decls
	  removed
	* [r21] fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/FELLOW.H: Replaced f12pressed and
	  debugging with fellowRequestEmulationStopXXX()

2000-06-05  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r20] fellow/SRC/WIN32/C/WGUI.C: Removed ID_FILE_SAVECONFIGURATION. Caused compile error.
	  /Worfje

2000-06-04  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r19] fellow/SRC/WIN32/MSVC/WinFellow.dsp: Changed compiler flag /ZI to /Zi to prevent
	  warning.

2000-06-03  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r18] fellow/SRC/WIN32/C/GFXDRV.C: Don't clear when in windowed mode. /Peschau
	* [r17] fellow/SRC/WIN32/C/WGUI.C: Cleanup and some bugfixes. /Worfje
	* [r16] fellow/SRC/C/KBD.C: Some small changes that allow user to choose keyset 1 or 2 on
	  port 1
	  or 2 (before you must choose keyset1 for port1 and keyset2 for port2).
	  /Marco
	* [r15] fellow/SRC/C/GAMEPORT.C: Only some comments here and there,
	  one function deleted. /Marco
	* [r14] fellow/SRC/WIN32/C/KBDDRV.C: Bug enhancements, it solve problems with some keys not
	  working
	  and with the joys replacement. /Marco
	* [r13] fellow/SRC/WIN32/C/JOYDRV.C: Fixed crash when no joys are installed, now works with
	  win2k and
	  win98 with dx7. /Marco

2000-06-01  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r12] fellow/SRC/WIN32/C/SOUNDDRV.C: Removed race condition in soundDrvEmulationStart()

2000-05-23  Petter Schau (peschau) <peschau@users.sourceforge.net> 

	* [r11] fellow/SRC/WIN32/C/GFXDRV.C: Better buffer clearing. Better multi-surface handling.
	  Minor errors fixed.

2000-04-05  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r10] fellow/SRC/WIN32/MSVC/Fellow.bmp, fellow/SRC/WIN32/MSVC/FELLOW2.BMP: Make it binary
	* [r9] fellow/Docs/DOSDocs/DOCS/IMAGES/ConfigurationMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/CPUMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/DebugMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/FilesystemMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/FloppyDiskMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/HardfileMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/MemoryMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/ScreenMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/SoundMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/TopMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/VariousMenu.jpeg: Make it binary

2000-04-04  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r8] fellow/SRC/WIN32/C/JOYDRV.C: Changed DIRECTINPUT_VERSION from 0x0300 to 0x0500

2000-03-27  Andreas Axelsson (andax) <andax@users.sourceforge.net> 

	* [r6] fellow, fellow/Docs, fellow/Docs/DOSDocs, fellow/Docs/DOSDocs/DOCS,
	  fellow/Docs/DOSDocs/DOCS/CREDITS.TXT, fellow/Docs/DOSDocs/DOCS/FELLOW.FAQ,
	  fellow/Docs/DOSDocs/DOCS/fellowde.html, fellow/Docs/DOSDocs/DOCS/FELLOWDK.TXT,
	  fellow/Docs/DOSDocs/DOCS/FELLOWES.TXT, fellow/Docs/DOSDocs/DOCS/FELLOWFR.TXT,
	  fellow/Docs/DOSDocs/DOCS/fellowit033.html, fellow/Docs/DOSDocs/DOCS/Fellowpl.txt,
	  fellow/Docs/DOSDocs/DOCS/fellowpt.html, fellow/Docs/DOSDocs/DOCS/handleiding.html,
	  fellow/Docs/DOSDocs/DOCS/IMAGES, fellow/Docs/DOSDocs/DOCS/IMAGES/ConfigurationMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/CPUMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/DebugMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/FilesystemMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/FloppyDiskMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/HardfileMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/MemoryMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/ScreenMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/SoundMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/TopMenu.jpeg,
	  fellow/Docs/DOSDocs/DOCS/IMAGES/VariousMenu.jpeg, fellow/Docs/DOSDocs/DOCS/index.html,
	  fellow/Docs/DOSDocs/DOCS/LEDBOARD.TXT, fellow/Docs/DOSDocs/DOCS/TECH.TXT,
	  fellow/Docs/DOSDocs/DOCS/UserManual.html, fellow/Docs/DOSDocs/DOCS/Utils,
	  fellow/Docs/DOSDocs/DOCS/Utils/Fellowhd,
	  fellow/Docs/DOSDocs/DOCS/Utils/Fellowhd/ReadmeEn.txt,
	  fellow/Docs/DOSDocs/DOCS/Utils/Fellowhd/ReadmeSV.txt, fellow/Docs/DOSDocs/UTILS,
	  fellow/Docs/DOSDocs/UTILS/Amiga, fellow/Docs/DOSDocs/UTILS/Amiga/NOTE.TXT,
	  fellow/Docs/DOSDocs/UTILS/Amiga/TRANSDIS, fellow/Docs/DOSDocs/UTILS/Amiga/TRANSROM,
	  fellow/readme.txt, fellow/SRC, fellow/SRC/ASM, fellow/SRC/ASM/BLITA.S,
	  fellow/SRC/ASM/BUSA.S, fellow/SRC/ASM/CIAA.S, fellow/SRC/ASM/COPPERA.S,
	  fellow/SRC/ASM/CPUA.S, fellow/SRC/ASM/DRAWA.S, fellow/SRC/ASM/FHFILEA.S,
	  fellow/SRC/ASM/FMEMA.S, fellow/SRC/ASM/GRAPHA.S, fellow/SRC/ASM/MMX.S,
	  fellow/SRC/ASM/SOUNDA.S, fellow/SRC/ASM/SPRITEA.S, fellow/SRC/C, fellow/SRC/C/BLIT.C,
	  fellow/SRC/C/BUS.C, fellow/SRC/C/CIA.C, fellow/SRC/C/CONFIG.C, fellow/SRC/C/COPPER.C,
	  fellow/SRC/C/CPU.C, fellow/SRC/C/CPUDIS.C, fellow/SRC/C/DRAW.C, fellow/SRC/C/FELLOW.C,
	  fellow/SRC/C/FFILESYS.C, fellow/SRC/C/FHFILE.C, fellow/SRC/C/FLOPPY.C,
	  fellow/SRC/C/FMEM.C, fellow/SRC/C/FSNAVIG.C, fellow/SRC/C/GAMEPORT.C,
	  fellow/SRC/C/GRAPH.C, fellow/SRC/C/KBD.C, fellow/SRC/C/LISTTREE.C, fellow/SRC/C/SOUND.C,
	  fellow/SRC/C/SPRITE.C, fellow/SRC/C/WAV.C, fellow/SRC/INCASM, fellow/SRC/INCASM/DATA,
	  fellow/SRC/INCASM/DATA/BLIT.INC, fellow/SRC/INCASM/DATA/BUS.INC,
	  fellow/SRC/INCASM/DATA/CIA.INC, fellow/SRC/INCASM/DATA/COPPER.INC,
	  fellow/SRC/INCASM/DATA/CPU.INC, fellow/SRC/INCASM/DATA/DRAW.INC,
	  fellow/SRC/INCASM/DATA/FELLOW.INC, fellow/SRC/INCASM/DATA/FHFILE.INC,
	  fellow/SRC/INCASM/DATA/FLOPPY.INC, fellow/SRC/INCASM/DATA/FMEM.INC,
	  fellow/SRC/INCASM/DATA/GAMEPORT.INC, fellow/SRC/INCASM/DATA/GRAPH.INC,
	  fellow/SRC/INCASM/DATA/SOUND.INC, fellow/SRC/INCASM/DATA/SPRITE.INC,
	  fellow/SRC/INCASM/DATA/TIMER.INC, fellow/SRC/INCASM/FUNC, fellow/SRC/INCASM/FUNC/BLIT.INC,
	  fellow/SRC/INCASM/FUNC/BUS.INC, fellow/SRC/INCASM/FUNC/CIA.INC,
	  fellow/SRC/INCASM/FUNC/COPPER.INC, fellow/SRC/INCASM/FUNC/CPU.INC,
	  fellow/SRC/INCASM/FUNC/DRAW.INC, fellow/SRC/INCASM/FUNC/FELLOW.INC,
	  fellow/SRC/INCASM/FUNC/FLOPPY.INC, fellow/SRC/INCASM/FUNC/FMEM.INC,
	  fellow/SRC/INCASM/FUNC/GAMEPORT.INC, fellow/SRC/INCASM/FUNC/GRAPH.INC,
	  fellow/SRC/INCASM/FUNC/KBD.INC, fellow/SRC/INCASM/FUNC/SOUND.INC,
	  fellow/SRC/INCASM/FUNC/SPRITE.INC, fellow/SRC/INCASM/GENERIC,
	  fellow/SRC/INCASM/GENERIC/DEFS.INC, fellow/SRC/INCASM/GENERIC/SOUND.INC,
	  fellow/SRC/INCASM/MAC, fellow/SRC/INCASM/MAC/BLIT.MAC, fellow/SRC/INCASM/MAC/BUS.MAC,
	  fellow/SRC/INCASM/MAC/CIA.MAC, fellow/SRC/INCASM/MAC/CPU.MAC,
	  fellow/SRC/INCASM/MAC/DRAW.MAC, fellow/SRC/INCASM/MAC/DRAWMODE.MAC,
	  fellow/SRC/INCASM/MAC/FLOPPY.MAC, fellow/SRC/INCASM/MAC/FMEM.MAC,
	  fellow/SRC/INCASM/MAC/GAMEPORT.MAC, fellow/SRC/INCASM/MAC/GRAPH.MAC,
	  fellow/SRC/INCASM/MAC/KBD.MAC, fellow/SRC/INCASM/MAC/NASM.MAC,
	  fellow/SRC/INCASM/MAC/PLAN2C.MAC, fellow/SRC/INCASM/MAC/SOUND.MAC,
	  fellow/SRC/INCASM/MAC/SPRITE.MAC, fellow/SRC/INCLUDE, fellow/SRC/INCLUDE/BLIT.H,
	  fellow/SRC/INCLUDE/BUS.H, fellow/SRC/INCLUDE/CIA.H, fellow/SRC/INCLUDE/CONFIG.H,
	  fellow/SRC/INCLUDE/COPPER.H, fellow/SRC/INCLUDE/CPU.H, fellow/SRC/INCLUDE/CPUDIS.H,
	  fellow/SRC/INCLUDE/DEFS.H, fellow/SRC/INCLUDE/DRAW.H, fellow/SRC/INCLUDE/EVENTID.H,
	  fellow/SRC/INCLUDE/FELLOW.H, fellow/SRC/INCLUDE/FFILESYS.H, fellow/SRC/INCLUDE/FHFILE.H,
	  fellow/SRC/INCLUDE/FLOPPY.H, fellow/SRC/INCLUDE/FMEM.H, fellow/SRC/INCLUDE/FONTS.H,
	  fellow/SRC/INCLUDE/FSNAVIG.H, fellow/SRC/INCLUDE/GAMEPORT.H, fellow/SRC/INCLUDE/GFXDRV.H,
	  fellow/SRC/INCLUDE/GRAPH.H, fellow/SRC/INCLUDE/GRAPHM.H, fellow/SRC/INCLUDE/JOYDRV.H,
	  fellow/SRC/INCLUDE/KBD.H, fellow/SRC/INCLUDE/KBDDRV.H, fellow/SRC/INCLUDE/KEYCODES.H,
	  fellow/SRC/INCLUDE/LISTTREE.H, fellow/SRC/INCLUDE/MEMORYA.H, fellow/SRC/INCLUDE/MMX.H,
	  fellow/SRC/INCLUDE/MOUSEDRV.H, fellow/SRC/INCLUDE/SOUND.H, fellow/SRC/INCLUDE/SOUNDDRV.H,
	  fellow/SRC/INCLUDE/SPRITE.H, fellow/SRC/INCLUDE/TIMER.H, fellow/SRC/INCLUDE/WAV.H,
	  fellow/SRC/INCLUDE/WGUI.H, fellow/SRC/LINUX, fellow/SRC/LINUX/INCASM,
	  fellow/SRC/LINUX/INCASM/MAC, fellow/SRC/LINUX/INCASM/MAC/RENAMING.MAC,
	  fellow/SRC/LINUX/INCLUDE, fellow/SRC/LINUX/INCLUDE/RENAMING.H,
	  fellow/SRC/LINUX/readme.txt, fellow/SRC/makefile.linux, fellow/SRC/UAE,
	  fellow/SRC/UAE/ASM, fellow/SRC/UAE/ASM/UAESUPPA.S, fellow/SRC/UAE/INCASM,
	  fellow/SRC/UAE/INCASM/FUNC, fellow/SRC/UAE/INCASM/FUNC/UAESUPP.INC,
	  fellow/SRC/UAE/INCLUDE, fellow/SRC/UAE/INCLUDE/AUTOCONF.H,
	  fellow/SRC/UAE/INCLUDE/EXECLIB.H, fellow/SRC/UAE/INCLUDE/FILESYS.H,
	  fellow/SRC/UAE/INCLUDE/FSUSAGE.H, fellow/SRC/UAE/INCLUDE/PENGUIN.H,
	  fellow/SRC/UAE/INCLUDE/POSIXEMU.H, fellow/SRC/UAE/INCLUDE/UAE2FELL.H,
	  fellow/SRC/UAE/INCLUDE/UAEFSYS.H, fellow/SRC/UAE/readme.txt, fellow/SRC/WIN32,
	  fellow/SRC/WIN32/C, fellow/SRC/WIN32/C/FSWRAP.C, fellow/SRC/WIN32/C/GFXDRV.C,
	  fellow/SRC/WIN32/C/JOYDRV.C, fellow/SRC/WIN32/C/KBDDRV.C, fellow/SRC/WIN32/C/kbdparser.c,
	  fellow/SRC/WIN32/C/MOUSEDRV.C, fellow/SRC/WIN32/C/SOUNDDRV.C, fellow/SRC/WIN32/C/TIMER.C,
	  fellow/SRC/WIN32/C/WDBG.C, fellow/SRC/WIN32/C/WGUI.C, fellow/SRC/WIN32/C/WINMAIN.C,
	  fellow/SRC/WIN32/INCASM, fellow/SRC/WIN32/INCASM/MAC,
	  fellow/SRC/WIN32/INCASM/MAC/CALLCONV.MAC, fellow/SRC/WIN32/INCASM/MAC/RENAMING.MAC,
	  fellow/SRC/WIN32/INCLUDE, fellow/SRC/WIN32/INCLUDE/FSWRAP.H, fellow/SRC/WIN32/INCLUDE/GCC,
	  fellow/SRC/WIN32/INCLUDE/GCC/PORTABLE.H, fellow/SRC/WIN32/INCLUDE/GCC/RENAMING.H,
	  fellow/SRC/WIN32/INCLUDE/MSVC, fellow/SRC/WIN32/INCLUDE/MSVC/PORTABLE.H,
	  fellow/SRC/WIN32/INCLUDE/MSVC/RENAMING.H, fellow/SRC/WIN32/INCLUDE/RESOURCE.H,
	  fellow/SRC/WIN32/INCLUDE/WDBG.H, fellow/SRC/WIN32/INCLUDE/WINDRV.H, fellow/SRC/WIN32/MSVC,
	  fellow/SRC/WIN32/MSVC/BITMAP1.BMP, fellow/SRC/WIN32/MSVC/Fellow.bmp,
	  fellow/SRC/WIN32/MSVC/FELLOW2.BMP, fellow/SRC/WIN32/MSVC/Mapping_key.example,
	  fellow/SRC/WIN32/MSVC/RESOURCE.H, fellow/SRC/WIN32/MSVC/Script1.rc,
	  fellow/SRC/WIN32/MSVC/WinFellow.dep, fellow/SRC/WIN32/MSVC/WinFellow.dsp,
	  fellow/SRC/WIN32/MSVC/WinFellow.dsw, fellow/SRC/WIN32/README.TXT, fellow/SRC/WIN32/UAE,
	  fellow/SRC/WIN32/UAE/C, fellow/SRC/WIN32/UAE/C/AUTOCONF.C,
	  fellow/SRC/WIN32/UAE/C/EXPANSIO.C, fellow/SRC/WIN32/UAE/C/FILESYS.C,
	  fellow/SRC/WIN32/UAE/C/FSUSAGE.C, fellow/SRC/WIN32/UAE/C/HARDFILE.C,
	  fellow/SRC/WIN32/UAE/C/POSIXEMU.C, fellow/SRC/WIN32/UAE/C/UAESUPP.C: Initial version of
	  Fellow. Based on Fellow 0.4 alpha by Petter Schau et al.

2000-03-10  Superuser

	* [r5] CVSROOT/commitinfo, CVSROOT/config, CVSROOT/cvswrappers, CVSROOT/modules,
	  CVSROOT/notify, CVSROOT/rcsinfo, CVSROOT/taginfo, CVSROOT/verifymsg: initial checkin
	* [r4] CVSROOT, CVSROOT/checkoutlist, CVSROOT/editinfo, CVSROOT/loginfo: initial checkin

2000-03-10  

	* [r3] .: Standard project directories initialized by cvs2svn.

